Index: trunk/SRC/Documentation/idldoc_html_output/idldoc-index-X.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/idldoc-index-X.html	(revision 203)
+++ trunk/SRC/Documentation/idldoc_html_output/idldoc-index-X.html	(revision 234)
@@ -172,28 +172,28 @@
       <dl>
 	
+	<dt><a href="./ToBeReviewed/PLOTS/DIVERS/rotation.html#_rotation">X</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/PLOTS/DIVERS/rotation</dd>
+	
+	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/plt1d.html#_plt1d">X</a></dt>
+	<dd>a keyword from the routine plt1d</dd>
+	
+	<dt><a href="./ToBeReviewed/STATISTICS/c_timecorrelate.html#_c_timecorrelate">X</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/STATISTICS/c_timecorrelate</dd>
+	
+	<dt><a href="./ToBeReviewed/STATISTICS/a_timecorrelate.html#_a_timecorrelate">X</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/STATISTICS/a_timecorrelate</dd>
+	
+	<dt><a href="./ToBeReviewed/STATISTICS/a_timecorrelate.html#_timeauto_cov">X</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/STATISTICS/a_timecorrelate</dd>
+	
+	<dt><a href="./ToBeReviewed/STATISTICS/a_correlate2d.html#_a_correlate2d">X</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/STATISTICS/a_correlate2d</dd>
+	
 	<dt><a href="./ToBeReviewed/STATISTICS/a_correlate2d.html#_auto_cov2d">X</a></dt>
 	<dd>a parameter from the routine ./ToBeReviewed/STATISTICS/a_correlate2d</dd>
 	
-	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/plt1d.html#_plt1d">X</a></dt>
-	<dd>a keyword from the routine plt1d</dd>
-	
-	<dt><a href="./ToBeReviewed/PLOTS/DIVERS/rotation.html#_rotation">X</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/PLOTS/DIVERS/rotation</dd>
-	
-	<dt><a href="./ToBeReviewed/STATISTICS/c_timecorrelate.html#_c_timecorrelate">X</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/STATISTICS/c_timecorrelate</dd>
-	
 	<dt><a href="./ToBeReviewed/PLOTS/VECTEUR/velovect.html#_velovect">X</a></dt>
 	<dd>a parameter from the routine ./ToBeReviewed/PLOTS/VECTEUR/velovect</dd>
 	
-	<dt><a href="./ToBeReviewed/STATISTICS/a_timecorrelate.html#_a_timecorrelate">X</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/STATISTICS/a_timecorrelate</dd>
-	
-	<dt><a href="./ToBeReviewed/STATISTICS/a_timecorrelate.html#_timeauto_cov">X</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/STATISTICS/a_timecorrelate</dd>
-	
-	<dt><a href="./ToBeReviewed/STATISTICS/a_correlate2d.html#_a_correlate2d">X</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/STATISTICS/a_correlate2d</dd>
-	
 	<dt><a href="./Picture/imdisp.html#_imdisp_imsize">X0</a></dt>
 	<dd>a parameter from the routine ./Picture/imdisp</dd>
@@ -202,6 +202,9 @@
 	<dd>a keyword from the routine computegrid</dd>
 	
-	<dt><a href="./ToBeReviewed/INIT/initncdf.html#_initncdf">XAXISNAME</a></dt>
-	<dd>a keyword from the routine initncdf</dd>
+	<dt><a href="./ReadWrite/ncdf_getaxis.html#_ncdf_getaxis">XAXISNAME</a></dt>
+	<dd>a keyword from the routine ncdf_getaxis</dd>
+	
+	<dt><a href="./ReadWrite/ncdf_getaxis.html#_ncdf_getaxis">XDIMNAME</a></dt>
+	<dd>a keyword from the routine ncdf_getaxis</dd>
 	
 	<dt><a href="./ToBeReviewed/GRILLE/domdef.html#_domdef">XINDEX</a></dt>
@@ -226,19 +229,19 @@
 	<dd>a keyword from the routine cw_bgroup</dd>
 	
+	<dt><a href="./ToBeReviewed/TRIANGULATION/drawcoast_c.html#_drawcoast_c">XSEUIL</a></dt>
+	<dd>a keyword from the routine drawcoast_c</dd>
+	
 	<dt><a href="./ToBeReviewed/TRIANGULATION/drawcoast_e.html#_drawcoast_e">XSEUIL</a></dt>
 	<dd>a keyword from the routine drawcoast_e</dd>
 	
-	<dt><a href="./ToBeReviewed/TRIANGULATION/drawcoast_c.html#_drawcoast_c">XSEUIL</a></dt>
-	<dd>a keyword from the routine drawcoast_c</dd>
-	
 	<dt><a href="./Picture/imdisp.html#_imdisp_imsize">XSIZE</a></dt>
 	<dd>a parameter from the routine ./Picture/imdisp</dd>
 	
+	<dt><a href="./ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_bgroup.html#_cw_bgroup">XSIZE</a></dt>
+	<dd>a keyword from the routine cw_bgroup</dd>
+	
 	<dt><a href="./buildinit.html#_cw_field2">XSIZE</a></dt>
 	<dd>a keyword from the routine cw_field2</dd>
 	
-	<dt><a href="./ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_bgroup.html#_cw_bgroup">XSIZE</a></dt>
-	<dd>a keyword from the routine cw_bgroup</dd>
-	
 	<dt><a href="./ToBeReviewed/GRILLE/tracegrille.html#_tracegrille">XSTRIDE</a></dt>
 	<dd>a keyword from the routine tracegrille</dd>
@@ -265,10 +268,13 @@
 	<dd>a keyword from the routine computegrid</dd>
 	
+	<dt><a href="./ReadWrite/ncdf_getaxis.html#_ncdf_getaxis">XYINDEX</a></dt>
+	<dd>a keyword from the routine ncdf_getaxis</dd>
+	
+	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/pltz.html#_pltz">XZ</a></dt>
+	<dd>a keyword from the routine pltz</dd>
+	
 	<dt><a href="./ToBeReviewed/PLOTS/DIVERS/checktypeminmax.html#_checktypeminmax">XZ</a></dt>
 	<dd>a keyword from the routine checktypeminmax</dd>
 	
-	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/pltz.html#_pltz">XZ</a></dt>
-	<dd>a keyword from the routine pltz</dd>
-	
 	<dt><a href="./ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_bgroup.html#_cw_bgroup">X_SCROLL_SIZE</a></dt>
 	<dd>a keyword from the routine cw_bgroup</dd>
@@ -277,49 +283,49 @@
 	<dd>a parameter from the routine ./ToBeReviewed/STATISTICS/c_timecorrelate</dd>
 	
+	<dt><a href="./ToBeReviewed/STRING/isnumber.html#_isnumber">x</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/STRING/isnumber</dd>
+	
+	<dt><a href="./Interpolation/inquad.html#_inquad">x</a></dt>
+	<dd>a parameter from the routine ./Interpolation/inquad</dd>
+	
+	<dt><a href="./Interpolation/spl_fstdrv.html#_spl_fstdrv">x</a></dt>
+	<dd>a parameter from the routine ./Interpolation/spl_fstdrv</dd>
+	
+	<dt><a href="./Interpolation/spl_incr.html#_pure_concave">x</a></dt>
+	<dd>a parameter from the routine ./Interpolation/spl_incr</dd>
+	
+	<dt><a href="./Interpolation/spl_incr.html#_pure_convex">x</a></dt>
+	<dd>a parameter from the routine ./Interpolation/spl_incr</dd>
+	
 	<dt><a href="./Interpolation/spl_incr.html#_spl_incr">x</a></dt>
 	<dd>a parameter from the routine ./Interpolation/spl_incr</dd>
+	
+	<dt><a href="./Interpolation/spl_keep_mean.html#_spl_keep_mean">x</a></dt>
+	<dd>a parameter from the routine ./Interpolation/spl_keep_mean</dd>
+	
+	<dt><a href="./Matrix/cmapply.html#_cmapply_product">x</a></dt>
+	<dd>a parameter from the routine ./Matrix/cmapply</dd>
+	
+	<dt><a href="./Obsolete/congridseb.html#_congridseb">x</a></dt>
+	<dd>a parameter from the routine ./Obsolete/congridseb</dd>
+	
+	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/pltbase.html#_pltbase">x</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/PLOTS/DESSINE/pltbase</dd>
+	
+	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/scontour.html#_scontour">x</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/PLOTS/DESSINE/scontour</dd>
+	
+	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/splot.html#_splot">x</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/PLOTS/DESSINE/splot</dd>
 	
 	<dt><a href="./ToBeReviewed/PLOTS/LABEL/label_date.html#_label_date">x</a></dt>
 	<dd>a parameter from the routine ./ToBeReviewed/PLOTS/LABEL/label_date</dd>
 	
-	<dt><a href="./ToBeReviewed/STRING/isnumber.html#_isnumber">x</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/STRING/isnumber</dd>
+	<dt><a href="./ToBeReviewed/PLOTS/reinitplt.html#_reinitplt">x</a></dt>
+	<dd>a keyword from the routine reinitplt</dd>
 	
 	<dt><a href="./ToBeReviewed/TRIANGULATION/dessinetri.html#_dessinetri">x</a></dt>
 	<dd>a parameter from the routine ./ToBeReviewed/TRIANGULATION/dessinetri</dd>
 	
-	<dt><a href="./Obsolete/congridseb.html#_congridseb">x</a></dt>
-	<dd>a parameter from the routine ./Obsolete/congridseb</dd>
-	
-	<dt><a href="./Matrix/cmapply.html#_cmapply_product">x</a></dt>
-	<dd>a parameter from the routine ./Matrix/cmapply</dd>
-	
-	<dt><a href="./Interpolation/inquad.html#_inquad">x</a></dt>
-	<dd>a parameter from the routine ./Interpolation/inquad</dd>
-	
-	<dt><a href="./Interpolation/spl_keep_mean.html#_spl_keep_mean">x</a></dt>
-	<dd>a parameter from the routine ./Interpolation/spl_keep_mean</dd>
-	
-	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/pltbase.html#_pltbase">x</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/PLOTS/DESSINE/pltbase</dd>
-	
-	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/splot.html#_splot">x</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/PLOTS/DESSINE/splot</dd>
-	
-	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/scontour.html#_scontour">x</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/PLOTS/DESSINE/scontour</dd>
-	
-	<dt><a href="./Interpolation/spl_fstdrv.html#_spl_fstdrv">x</a></dt>
-	<dd>a parameter from the routine ./Interpolation/spl_fstdrv</dd>
-	
-	<dt><a href="./Interpolation/spl_incr.html#_pure_concave">x</a></dt>
-	<dd>a parameter from the routine ./Interpolation/spl_incr</dd>
-	
-	<dt><a href="./Interpolation/spl_incr.html#_pure_convex">x</a></dt>
-	<dd>a parameter from the routine ./Interpolation/spl_incr</dd>
-	
-	<dt><a href="./ToBeReviewed/PLOTS/reinitplt.html#_reinitplt">x</a></dt>
-	<dd>a keyword from the routine reinitplt</dd>
-	
 	<dt><a href="./Interpolation/cutsegment.html#_cutsegment">x0</a></dt>
 	<dd>a parameter from the routine ./Interpolation/cutsegment</dd>
@@ -328,61 +334,61 @@
 	<dd>a parameter from the routine ./Interpolation/cutpar</dd>
 	
+	<dt><a href="./Interpolation/quadrilateral2square.html#_quadrilateral2square">x0in</a></dt>
+	<dd>a parameter from the routine ./Interpolation/quadrilateral2square</dd>
+	
 	<dt><a href="./Interpolation/square2quadrilateral.html#_square2quadrilateral">x0in</a></dt>
 	<dd>a parameter from the routine ./Interpolation/square2quadrilateral</dd>
 	
-	<dt><a href="./Interpolation/quadrilateral2square.html#_quadrilateral2square">x0in</a></dt>
-	<dd>a parameter from the routine ./Interpolation/quadrilateral2square</dd>
-	
-	<dt><a href="./Interpolation/spl_incr.html#_pure_convex">x1</a></dt>
-	<dd>a parameter from the routine ./Interpolation/spl_incr</dd>
-	
-	<dt><a href="./Interpolation/spl_incr.html#_pure_concave">x1</a></dt>
-	<dd>a parameter from the routine ./Interpolation/spl_incr</dd>
-	
 	<dt><a href="./Interpolation/cutsegment.html#_cutsegment">x1</a></dt>
 	<dd>a parameter from the routine ./Interpolation/cutsegment</dd>
 	
+	<dt><a href="./Interpolation/spl_incr.html#_pure_convex">x1</a></dt>
+	<dd>a parameter from the routine ./Interpolation/spl_incr</dd>
+	
 	<dt><a href="./Interpolation/cutpar.html#_cutpar">x1</a></dt>
 	<dd>a parameter from the routine ./Interpolation/cutpar</dd>
 	
+	<dt><a href="./Interpolation/inquad.html#_inquad">x1</a></dt>
+	<dd>a parameter from the routine ./Interpolation/inquad</dd>
+	
+	<dt><a href="./Interpolation/spl_incr.html#_pure_concave">x1</a></dt>
+	<dd>a parameter from the routine ./Interpolation/spl_incr</dd>
+	
 	<dt><a href="./ToBeReviewed/GRILLE/domdef.html#_domdef">x1</a></dt>
 	<dd>a parameter from the routine ./ToBeReviewed/GRILLE/domdef</dd>
 	
-	<dt><a href="./Interpolation/inquad.html#_inquad">x1</a></dt>
-	<dd>a parameter from the routine ./Interpolation/inquad</dd>
-	
 	<dt><a href="./Interpolation/inrecgrid.html#_inrecgrid">x1d</a></dt>
 	<dd>a parameter from the routine ./Interpolation/inrecgrid</dd>
 	
+	<dt><a href="./Interpolation/quadrilateral2square.html#_quadrilateral2square">x1in</a></dt>
+	<dd>a parameter from the routine ./Interpolation/quadrilateral2square</dd>
+	
 	<dt><a href="./Interpolation/square2quadrilateral.html#_square2quadrilateral">x1in</a></dt>
 	<dd>a parameter from the routine ./Interpolation/square2quadrilateral</dd>
 	
-	<dt><a href="./Interpolation/quadrilateral2square.html#_quadrilateral2square">x1in</a></dt>
-	<dd>a parameter from the routine ./Interpolation/quadrilateral2square</dd>
-	
 	<dt><a href="./Interpolation/spl_incr.html#_spl_incr">x2</a></dt>
 	<dd>a parameter from the routine ./Interpolation/spl_incr</dd>
+	
+	<dt><a href="./Interpolation/spl_incr.html#_pure_convex">x2</a></dt>
+	<dd>a parameter from the routine ./Interpolation/spl_incr</dd>
+	
+	<dt><a href="./Interpolation/spl_keep_mean.html#_spl_keep_mean">x2</a></dt>
+	<dd>a parameter from the routine ./Interpolation/spl_keep_mean</dd>
+	
+	<dt><a href="./Interpolation/spl_incr.html#_pure_concave">x2</a></dt>
+	<dd>a parameter from the routine ./Interpolation/spl_incr</dd>
+	
+	<dt><a href="./Interpolation/inquad.html#_inquad">x2</a></dt>
+	<dd>a parameter from the routine ./Interpolation/inquad</dd>
+	
+	<dt><a href="./ToBeReviewed/GRILLE/domdef.html#_domdef">x2</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/GRILLE/domdef</dd>
 	
 	<dt><a href="./Interpolation/cutpar.html#_cutpar">x2</a></dt>
 	<dd>a parameter from the routine ./Interpolation/cutpar</dd>
 	
-	<dt><a href="./Interpolation/inquad.html#_inquad">x2</a></dt>
-	<dd>a parameter from the routine ./Interpolation/inquad</dd>
-	
 	<dt><a href="./Interpolation/spl_fstdrv.html#_spl_fstdrv">x2</a></dt>
 	<dd>a parameter from the routine ./Interpolation/spl_fstdrv</dd>
 	
-	<dt><a href="./Interpolation/spl_incr.html#_pure_concave">x2</a></dt>
-	<dd>a parameter from the routine ./Interpolation/spl_incr</dd>
-	
-	<dt><a href="./Interpolation/spl_incr.html#_pure_convex">x2</a></dt>
-	<dd>a parameter from the routine ./Interpolation/spl_incr</dd>
-	
-	<dt><a href="./Interpolation/spl_keep_mean.html#_spl_keep_mean">x2</a></dt>
-	<dd>a parameter from the routine ./Interpolation/spl_keep_mean</dd>
-	
-	<dt><a href="./ToBeReviewed/GRILLE/domdef.html#_domdef">x2</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/GRILLE/domdef</dd>
-	
 	<dt><a href="./Interpolation/quadrilateral2square.html#_quadrilateral2square">x2in</a></dt>
 	<dd>a parameter from the routine ./Interpolation/quadrilateral2square</dd>
@@ -418,4 +424,7 @@
 	<dd>a procedure from the file buildinit.pro</dd>
 	
+	<dt><a href="./ReadWrite/ncdf_getaxis.html#_ncdf_getaxis">xaxis</a></dt>
+	<dd>a parameter from the routine ./ReadWrite/ncdf_getaxis</dd>
+	
 	<dt><a href="./ToBeReviewed/HOPE/findlineandpointtype.html#_findlineandpointtype">xaxis</a></dt>
 	<dd>a parameter from the routine ./ToBeReviewed/HOPE/findlineandpointtype</dd>
@@ -433,10 +442,10 @@
 	<dd>a procedure from the file xcreateanim.pro</dd>
 	
+	<dt><a href="./ToBeReviewed/TRIANGULATION/drawcoast_e.html#_drawcoast_e">xf</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/TRIANGULATION/drawcoast_e</dd>
+	
 	<dt><a href="./ToBeReviewed/TRIANGULATION/drawcoast_c.html#_drawcoast_c">xf</a></dt>
 	<dd>a parameter from the routine ./ToBeReviewed/TRIANGULATION/drawcoast_c</dd>
 	
-	<dt><a href="./ToBeReviewed/TRIANGULATION/drawcoast_e.html#_drawcoast_e">xf</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/TRIANGULATION/drawcoast_e</dd>
-	
 	<dt><a href="./Utilities/xfile.html#_xfile">xfile</a></dt>
 	<dd>a procedure from the file xfile.pro</dd>
@@ -451,13 +460,13 @@
 	<dd>a file from the directory ./Utilities</dd>
 	
+	<dt><a href="./Interpolation/imoms3.html#_imoms3">xin</a></dt>
+	<dd>a parameter from the routine ./Interpolation/imoms3</dd>
+	
+	<dt><a href="./ToBeReviewed/TRIANGULATION/tracemask.html#_tracemask">xin</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/TRIANGULATION/tracemask</dd>
+	
 	<dt><a href="./ToBeReviewed/TRIANGULATION/fillcornermask.html#_fillcornermask">xin</a></dt>
 	<dd>a parameter from the routine ./ToBeReviewed/TRIANGULATION/fillcornermask</dd>
 	
-	<dt><a href="./Interpolation/imoms3.html#_imoms3">xin</a></dt>
-	<dd>a parameter from the routine ./Interpolation/imoms3</dd>
-	
-	<dt><a href="./ToBeReviewed/TRIANGULATION/tracemask.html#_tracemask">xin</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/TRIANGULATION/tracemask</dd>
-	
 	<dt><a href="./Colors/xlct.html#_xlct">xlct</a></dt>
 	<dd>a procedure from the file xlct.pro</dd>
@@ -562,10 +571,10 @@
 	<dd>a parameter from the routine ./ToBeReviewed/TRIANGULATION/drawsectionbottom</dd>
 	
+	<dt><a href="./Interpolation/quadrilateral2square.html#_quadrilateral2square">xxin</a></dt>
+	<dd>a parameter from the routine ./Interpolation/quadrilateral2square</dd>
+	
 	<dt><a href="./Interpolation/square2quadrilateral.html#_square2quadrilateral">xxin</a></dt>
 	<dd>a parameter from the routine ./Interpolation/square2quadrilateral</dd>
 	
-	<dt><a href="./Interpolation/quadrilateral2square.html#_quadrilateral2square">xxin</a></dt>
-	<dd>a parameter from the routine ./Interpolation/quadrilateral2square</dd>
-	
 	<dt><a href="./ToBeReviewed/WIDGET/xxx.html#_xxx">xxx</a></dt>
 	<dd>a procedure from the file xxx.pro</dd>