Index: /trunk/SRC/Documentation/idldoc_assistant_output/Obsolete/jourdsmois.html
===================================================================
--- /trunk/SRC/Documentation/idldoc_assistant_output/Obsolete/jourdsmois.html	(revision 235)
+++ /trunk/SRC/Documentation/idldoc_assistant_output/Obsolete/jourdsmois.html	(revision 236)
@@ -62,5 +62,5 @@
 
     
- used <a href=".//../../Calendar/daysinmonth.html">daysinmonth</a> instead
+ used <a href="../Calendar/daysinmonth.html">daysinmonth</a> instead
 
 
Index: /trunk/SRC/Grid/checkperio.pro
===================================================================
--- /trunk/SRC/Grid/checkperio.pro	(revision 235)
+++ /trunk/SRC/Grid/checkperio.pro	(revision 236)
@@ -47,5 +47,5 @@
 
   IF file_test(file) EQ 0 THEN BEGIN
-    print, 'file '+file+' not found'
+    ras = report( 'file '+file+' not found')
     RETURN
   ENDIF
@@ -78,5 +78,5 @@
               part2 = reverse(shift(part2, -1))
               IF array_equal(part1, part2) NE 1 THEN BEGIN
-                print, vinq.name+' bad y periodicity (1)'
+                ras = report( vinq.name+' bad y periodicity (1)')
                 IF keyword_set(write) THEN $
                    ncdf_varput, cdfid, vid, part2, count = [jpi-2, 1], offset = [1, jpj-1]
@@ -88,10 +88,10 @@
               part2 = reverse(part2)
               IF array_equal(part1, part2) NE 1 THEN BEGIN
-                print, vinq.name+' bad y periodicity (1)'
+                ras = report( vinq.name+' bad y periodicity (1)')
                 IF keyword_set(write) THEN $
                    ncdf_varput, cdfid, vid, part2, count = [jpi-2, 1], offset = [1, jpj-1]
               ENDIF
             END
-            ELSE:print, vinq.name+' nothing to check'
+            ELSE:ras = report( vinq.name+' nothing to check')
           ENDCASE
 ; y periodicity (2)
@@ -102,5 +102,5 @@
               part2 = reverse(part2)
               IF array_equal(part1, part2) NE 1 THEN BEGIN
-                print, vinq.name+' bad y periodicity (2)'
+                ras = report( vinq.name+' bad y periodicity (2)')
                 IF keyword_set(write) THEN $
                    ncdf_varput, cdfid, vid, part2, count = [(jpi-1)/2-2+1, 1], offset = [(jpi-1)/2+2, jpj-2]
@@ -109,5 +109,5 @@
             array_equal([722, 511], vdimsz[0:1]):BEGIN ; ORCA05
             END
-            ELSE:print, vinq.name+' nothing to check'
+            ELSE:ras = report( vinq.name+' nothing to check')
           ENDCASE
 ; x periodicity (1)
@@ -115,5 +115,5 @@
           ncdf_varget, cdfid, vid, part2, count = [1, jpj], offset = [jpi-2, 0]
           IF array_equal(part1, part2) NE 1 THEN BEGIN
-            print, vinq.name+' bad x periodicity (1)'
+            ras = report( vinq.name+' bad x periodicity (1)')
             IF keyword_set(write) THEN $
                ncdf_varput, cdfid, vid, part2, count = [1, jpj], offset = [0, 0]
@@ -123,5 +123,5 @@
           ncdf_varget, cdfid, vid, part2, count = [1, jpj], offset = [1, 0]
           IF array_equal(part1, part2) NE 1 THEN BEGIN
-            print, vinq.name+' bad x periodicity (2)'
+            ras = report( vinq.name+' bad x periodicity (2)')
             IF keyword_set(write) THEN $
                ncdf_varput, cdfid, vid, part2, count = [1, jpj], offset = [jpi-1, 0]
@@ -141,5 +141,5 @@
               part2 = reverse(shift(part2, -1, 0, 0), 1)
               IF array_equal(part1, part2) NE 1 THEN BEGIN
-                print, vinq.name+' bad y periodicity (1)'
+                ras = report( vinq.name+' bad y periodicity (1)')
                 IF keyword_set(write) THEN $
                    ncdf_varput, cdfid, vid, part2, count = [jpi-2, 1, jpk], offset = [1, jpj-1, 0]
@@ -152,10 +152,10 @@
               part2 = reverse(part2, 1)
               IF array_equal(part1, part2) NE 1 THEN BEGIN
-                print, vinq.name+' bad y periodicity (1)'
+                ras = report( vinq.name+' bad y periodicity (1)')
                 IF keyword_set(write) THEN $
                    ncdf_varput, cdfid, vid, part2, count = [jpi-2, 1, jpk], offset = [1, jpj-1, 0]
               ENDIF
             END
-            ELSE:print, vinq.name+' nothing to check'
+            ELSE:ras = report( vinq.name+' nothing to check')
           ENDCASE
 ; y periodicity (2)
@@ -166,5 +166,5 @@
               part2 = reverse(part2, 1)
               IF array_equal(part1, part2) NE 1 THEN BEGIN
-                print, vinq.name+' bad y periodicity (2)'
+                ras = report( vinq.name+' bad y periodicity (2)')
                 IF keyword_set(write) THEN $
                    ncdf_varput, cdfid, vid, part2, count = [(jpi-1)/2-2+1, 1, jpk], offset = [(jpi-1)/2+2, jpj-2, 0]
@@ -173,5 +173,5 @@
             array_equal([722, 511], vdimsz[0:1]):BEGIN ; ORCA05
             END
-            ELSE:print, vinq.name+' nothing to check'
+            ELSE:ras = report( vinq.name+' nothing to check')
           ENDCASE
 ; x periodicity (1)
@@ -179,5 +179,5 @@
           ncdf_varget, cdfid, vid, part2, count = [1, jpj, jpk], offset = [jpi-2, 0, 0]
           IF array_equal(part1, part2) NE 1 THEN BEGIN
-            print, vinq.name+' bad x periodicity (1)'
+            ras = report( vinq.name+' bad x periodicity (1)')
             IF keyword_set(write) THEN $
                ncdf_varput, cdfid, vid, part2, count = [1, jpj, jpk], offset = [0, 0, 0]
@@ -187,5 +187,5 @@
           ncdf_varget, cdfid, vid, part2, count = [1, jpj, jpk], offset = [1, 0, 0]
           IF array_equal(part1, part2) NE 1 THEN BEGIN
-            print, vinq.name+' bad x periodicity (2)'
+            ras = report( vinq.name+' bad x periodicity (2)')
             IF keyword_set(write) THEN $
                ncdf_varput, cdfid, vid, part2, count = [1, jpj, jpk], offset = [jpi-1, 0, 0]
@@ -206,5 +206,5 @@
               part2 = reverse(shift(part2, -1, 0, 0, 0), 1)
               IF array_equal(part1, part2) NE 1 THEN BEGIN
-                print, vinq.name+' bad y periodicity (1)'
+                ras = report( vinq.name+' bad y periodicity (1)')
                 IF keyword_set(write) THEN $
                    ncdf_varput, cdfid, vid, part2, count = [jpi-2, 1, jpk, jpt], offset = [1, jpj-1, 0, 0]
@@ -217,10 +217,10 @@
               part2 = reverse(part2, 1)
               IF array_equal(part1, part2) NE 1 THEN BEGIN
-                print, vinq.name+' bad y periodicity (1)'
+                ras = report( vinq.name+' bad y periodicity (1)')
                 IF keyword_set(write) THEN $
                    ncdf_varput, cdfid, vid, part2, count = [jpi-2, 1, jpk, jpt], offset = [1, jpj-1, 0, 0]
               ENDIF
             END
-            ELSE:print, vinq.name+' nothing to check'
+            ELSE:ras = report( vinq.name+' nothing to check')
           ENDCASE
 ; y periodicity (2)
@@ -231,5 +231,5 @@
               part2 = reverse(part2, 1)
               IF array_equal(part1, part2) NE 1 THEN BEGIN
-                print, vinq.name+' bad y periodicity (2)'
+                ras = report( vinq.name+' bad y periodicity (2)')
                 IF keyword_set(write) THEN $
                    ncdf_varput, cdfid, vid, part2, count = [(jpi-1)/2-2+1, 1, jpk, jpt], offset = [(jpi-1)/2+2, jpj-2, 0, 0]
@@ -238,5 +238,5 @@
             array_equal([722, 511], vdimsz[0:1]):BEGIN ; ORCA05
             END
-            ELSE:print, vinq.name+' nothing to check'
+            ELSE:ras = report( vinq.name+' nothing to check')
           ENDCASE
 ; x periodicity (1)
@@ -244,5 +244,5 @@
           ncdf_varget, cdfid, vid, part2, count = [1, jpj, jpk, jpt], offset = [jpi-2, 0, 0, 0]
           IF array_equal(part1, part2) NE 1 THEN BEGIN
-            print, vinq.name+' bad x periodicity (1)'
+            ras = report( vinq.name+' bad x periodicity (1)')
             IF keyword_set(write) THEN $
                ncdf_varput, cdfid, vid, part2, count = [1, jpj, jpk, jpt], offset = [0, 0, 0, 0]
@@ -252,10 +252,10 @@
           ncdf_varget, cdfid, vid, part2, count = [1, jpj, jpk, jpt], offset = [1, 0, 0, 0]
           IF array_equal(part1, part2) NE 1 THEN BEGIN
-            print, vinq.name+' bad x periodicity (2)'
+            ras = report( vinq.name+' bad x periodicity (2)')
             IF keyword_set(write) THEN $
                ncdf_varput, cdfid, vid, part2, count = [1, jpj, jpk, jpt], offset = [jpi-1, 0, 0, 0]
           ENDIF
         END
-        ELSE:print, vinq.name+' nothing to check'
+        ELSE:ras = report( vinq.name+' nothing to check')
       ENDCASE
     ENDIF
Index: /trunk/SRC/Grid/computegrid.pro
===================================================================
--- /trunk/SRC/Grid/computegrid.pro	(revision 235)
+++ /trunk/SRC/Grid/computegrid.pro	(revision 236)
@@ -330,5 +330,5 @@
       1:nz = (size(zaxis))[1]
       ELSE:BEGIN
-        print, 'not coded'
+        ras = report( 'not coded')
         stop
       END
Index: /trunk/SRC/Grid/micromeshmask.pro
===================================================================
--- /trunk/SRC/Grid/micromeshmask.pro	(revision 235)
+++ /trunk/SRC/Grid/micromeshmask.pro	(revision 236)
@@ -64,9 +64,9 @@
     filein_msk = (findfile(filein+'.mask.nc'))[0]
     IF filein_hgr EQ '' OR filein_zgr EQ '' OR filein_msk EQ ''  THEN BEGIN
-      print, 'meshmask file(s) not found...'
-      print, filein+' does not exist'
-      print, filein+'.mesh_hgr.nc does not exist'
-      print, filein+'.mesh_zgr.nc does not exist'
-      print, filein+'.mask.nc does not exist'
+      ras = report( 'meshmask file(s) not found...')
+      ras = report( filein+' does not exist')
+      ras = report( filein+'.mesh_hgr.nc does not exist')
+      ras = report( filein+'.mesh_zgr.nc does not exist')
+      ras = report( filein+'.mask.nc does not exist')
       return
     ENDIF
Index: /trunk/SRC/Grid/smallmeshmask.pro
===================================================================
--- /trunk/SRC/Grid/smallmeshmask.pro	(revision 235)
+++ /trunk/SRC/Grid/smallmeshmask.pro	(revision 236)
@@ -72,9 +72,9 @@
     filein_msk = (findfile(filein+'.mask.nc'))[0]
     IF filein_hgr EQ '' OR filein_zgr EQ '' OR filein_msk EQ ''  THEN BEGIN
-      print, 'meshmask file(s) not found...'
-      print, filein+' does not exist'
-      print, filein+'.mesh_hgr.nc does not exist'
-      print, filein+'.mesh_zgr.nc does not exist'
-      print, filein+'.mask.nc does not exist'
+      ras = report( 'meshmask file(s) not found...')
+      ras = report( filein+' does not exist')
+      ras = report( filein+'.mesh_hgr.nc does not exist')
+      ras = report( filein+'.mesh_zgr.nc does not exist')
+      ras = report( filein+'.mask.nc does not exist')
       return
     ENDIF
Index: /trunk/SRC/Interpolation/angle.pro
===================================================================
--- /trunk/SRC/Interpolation/angle.pro	(revision 235)
+++ /trunk/SRC/Interpolation/angle.pro	(revision 236)
@@ -111,5 +111,5 @@
   fileoce = findfile(fileoce, count = okfile)
   IF okfile NE 1 THEN BEGIN
-    print, 'the file '+fileoce+' is not found... we stop'
+    ras = report('the file '+fileoce+' is not found... we stop')
     stop
   ENDIF
Index: /trunk/SRC/Interpolation/compute_fromirr_bilinear_weigaddr.pro
===================================================================
--- /trunk/SRC/Interpolation/compute_fromirr_bilinear_weigaddr.pro	(revision 235)
+++ /trunk/SRC/Interpolation/compute_fromirr_bilinear_weigaddr.pro	(revision 236)
@@ -72,9 +72,9 @@
   IF n_elements(amsk) EQ 1 AND amsk[0] EQ -1 THEN amsk = replicate(1b, jpia, jpja)
   IF n_elements(omsk) NE jpio*jpjo THEN BEGIN
-    print, 'input grid mask do not have the good size'
+    ras = report('input grid mask do not have the good size')
     stop
   ENDIF
   IF n_elements(amsk) NE jpia*jpja THEN BEGIN
-    print, 'output grid mask do not have the good size'
+    ras = report('output grid mask do not have the good size')
     stop
   ENDIF
Index: /trunk/SRC/Interpolation/extrapolate.pro
===================================================================
--- /trunk/SRC/Interpolation/extrapolate.pro	(revision 235)
+++ /trunk/SRC/Interpolation/extrapolate.pro	(revision 236)
@@ -75,5 +75,5 @@
   IF n_elements(maskinput) EQ 1 AND maskinput[0] EQ -1 THEN maskinput = replicate(1b, nx, ny)
   IF n_elements(maskinput) NE nx*ny THEN BEGIN
-    print, 'input grid mask do not have the good size'
+    ras = report('input grid mask do not have the good size')
     return, -1
   ENDIF
Index: /trunk/SRC/Interpolation/extrapsmooth.pro
===================================================================
--- /trunk/SRC/Interpolation/extrapsmooth.pro	(revision 235)
+++ /trunk/SRC/Interpolation/extrapsmooth.pro	(revision 236)
@@ -52,5 +52,5 @@
   sz = size(reform(in))
   IF sz[0] NE 2 THEN BEGIN
-    print, 'Input arrays must have 2 dimensions'
+    ras = report('Input arrays must have 2 dimensions')
     return, -1
   ENDIF
@@ -59,5 +59,5 @@
   IF n_elements(mskin) EQ 1 AND mskin[0] EQ -1 THEN mskin = replicate(1b, nx, ny)
   IF n_elements(mskin) NE nx*ny THEN BEGIN
-    print, 'input grid mask do not have the good size'
+    ras = report('input grid mask do not have the good size')
     return, -1
   ENDIF
Index: /trunk/SRC/Interpolation/fromirr.pro
===================================================================
--- /trunk/SRC/Interpolation/fromirr.pro	(revision 235)
+++ /trunk/SRC/Interpolation/fromirr.pro	(revision 236)
@@ -110,5 +110,5 @@
       'bilinear':compute_fromirr_bilinear_weigaddr, alon, alat, mskin, olon, olat, mskout, weig, addr
       ELSE:BEGIN
-        print, ' unknown interpolation method... we stop'
+        ras = report(' unknown interpolation method... we stop')
         stop
       ENDELSE
Index: /trunk/SRC/Interpolation/fromreg.pro
===================================================================
--- /trunk/SRC/Interpolation/fromreg.pro	(revision 235)
+++ /trunk/SRC/Interpolation/fromreg.pro	(revision 236)
@@ -113,5 +113,5 @@
       'imoms3':  compute_fromreg_imoms3_weigaddr,   alon, alat, olon, olat, weig, addr, NONORTHERNLINE = nonorthernline, NOSOUTHERNLINE = nosouthernline
       ELSE:BEGIN
-        print, ' unknown interpolation method... we stop'
+        ras = report(' unknown interpolation method... we stop')
         stop
       ENDELSE
Index: /trunk/SRC/Interpolation/get_gridparams.pro
===================================================================
--- /trunk/SRC/Interpolation/get_gridparams.pro	(revision 235)
+++ /trunk/SRC/Interpolation/get_gridparams.pro	(revision 236)
@@ -87,5 +87,5 @@
 ; get longitude and latitude
       IF file_test(in1) EQ 0 THEN BEGIN
-        print, 'file ' + in1 + ' does not exist'
+        ras = report('file ' + in1 + ' does not exist')
         stop
       ENDIF
@@ -102,5 +102,5 @@
     END
     ELSE:BEGIN
-      print, 'Bad nimber of input parameters'
+      ras = report('Bad number of input parameters')
       stop
     end
@@ -140,5 +140,5 @@
         1:BEGIN
           IF array_equal(lon, lon[*, 0] # replicate(1, jpj)) NE 1 THEN BEGIN
-            print, 'Longitudes are not the same for all latitudes, impossible to extract a 1D array of the longitudes'
+            ras = report('Longitudes are not the same for all latitudes, impossible to extract a 1D array of the longitudes')
             stop
           ENDIF
@@ -161,5 +161,5 @@
         1:BEGIN
           IF array_equal(lat, replicate(1, jpi) # lat[0, *]) NE 1 THEN BEGIN
-            print, 'Latitudes are not the same for all longitudes, impossible to extract a 1D array of the latitudes'
+            ras = report('Latitudes are not the same for all longitudes, impossible to extract a 1D array of the latitudes')
             stop
           ENDIF
@@ -182,10 +182,10 @@
         1:BEGIN
           IF array_equal(lon, lon[*, 0] # replicate(1, jpj)) NE 1 THEN BEGIN
-            print, 'Longitudes are not the same for all latitudes, impossible to extract a 1D array of the longitudes'
+            ras = report('Longitudes are not the same for all latitudes, impossible to extract a 1D array of the longitudes')
             stop
           ENDIF
           lon = lon[*, 0]
           IF array_equal(lat, replicate(1, jpi) # reform(lat[0, *])) NE 1 THEN BEGIN
-            print, 'Latitudes are not the same for all longitudes, impossible to extract a 1D array of the latitudes'
+            ras = report('Latitudes are not the same for all longitudes, impossible to extract a 1D array of the latitudes')
             stop
           ENDIF
@@ -199,5 +199,8 @@
 ; lon and lat are not 1D and/or 2D arrays
 ;-------
-    ELSE:stop
+    ELSE: BEGIN
+             ras = report('Longitudes and latitudes are not 1D and/or 2D arrays')
+             stop
+          END
   ENDCASE
 ;
Index: /trunk/SRC/Interpolation/inquad.pro
===================================================================
--- /trunk/SRC/Interpolation/inquad.pro	(revision 235)
+++ /trunk/SRC/Interpolation/inquad.pro	(revision 236)
@@ -261,10 +261,14 @@
 ; points out of the cells
     IF (where(chtest EQ 0))[0] NE -1 THEN BEGIN
-      IF NOT keyword_set(noprint) THEN print, 'Points number '+strjoin(strtrim(where(chtest EQ 0), 1), ', ')+' are out of the grid'
+      IF NOT keyword_set(noprint) THEN BEGIN
+         ras = report('Points number '+strjoin(strtrim(where(chtest EQ 0), 1), ', ')+' are out of the grid')
+      ENDIF
       stop
     ENDIF
 ; points in more than one cell
     IF (where(chtest GT 1))[0] NE -1 THEN BEGIN
-      IF NOT keyword_set(noprint) THEN print, 'Points number '+strjoin(strtrim(where(chtest GT 1), 1), ', ')+' are in more than one cell'
+      IF NOT keyword_set(noprint) THEN BEGIN
+        ras = report('Points number '+strjoin(strtrim(where(chtest GT 1), 1), ', ')+' are in more than one cell')
+      ENDIF
       stop
     ENDIF
@@ -277,5 +281,7 @@
     CASE 1 OF
       found[0] EQ -1:BEGIN
-        IF NOT keyword_set(noprint) THEN print, 'The point is out of the cells'
+        IF NOT keyword_set(noprint) THEN BEGIN
+           ras = report('The point is out of the cells')
+        ENDIF
         IF keyword_set(onsphere) THEN BEGIN
 ; restore old !map...
@@ -289,5 +295,7 @@
       END
       n_elements(found) GT ntofind:BEGIN
-        IF NOT keyword_set(noprint) THEN print, 'The point is in more than one cell'
+        IF NOT keyword_set(noprint) THEN BEGIN
+          ras = report('The point is in more than one cell')
+        ENDIF
       END
       ELSE:
Index: /trunk/SRC/Picture/imdisp.pro
===================================================================
--- /trunk/SRC/Picture/imdisp.pro	(revision 235)
+++ /trunk/SRC/Picture/imdisp.pro	(revision 236)
@@ -197,5 +197,6 @@
 ; @file_comments
 ;    Display an image on the current graphics device.
-;    IMDISP is an advanced replacement for TV and TVSCL.
+;    IMDISP is an advanced replacement for <prodil>TV</proidl> and
+;    <proidl>TVSCL</proidl>.
 ;
 ;    - Supports WIN, MAC, X, CGM, PCL, PRINTER, PS, and Z graphics devices,
Index: /trunk/SRC/ReadWrite/read_grads.pro
===================================================================
--- /trunk/SRC/ReadWrite/read_grads.pro	(revision 235)
+++ /trunk/SRC/ReadWrite/read_grads.pro	(revision 236)
@@ -97,5 +97,5 @@
    if keyword_set(timestep) then BEGIN
       if date1 GT date2 then begin
-         print, 'date2 must be larger than date1'
+         ras = report( 'date2 must be larger than date1')
          return, -1
       endif
@@ -106,5 +106,5 @@
       jdate2 = time[0] > date2jul(date2, /grads)
       if jdate1 GT jdate2 then begin
-         print, 'date2 must be larger than date1'
+         ras = report('date2 must be larger than date1')
          return, -1
       endif
@@ -114,5 +114,5 @@
    ENDELSE
    if t2 LT t1 then begin
-      print, 'There is no date between date1 and date2'
+      ras = report('There is no date between date1 and date2')
       return, -1
    endif
@@ -126,5 +126,5 @@
    varid = varid[0]
    if varid EQ -1 then begin
-      print, var+' not found in the variable list of '+filename
+      ras = report(var+' not found in the variable list of '+filename)
       return,  -1
    ENDIF
@@ -159,5 +159,5 @@
     , swap_endian = swapbytes
    if err ne 0 then begin
-      print,!err_string
+      ras = report(!err_string)
       return, -1
    endif
@@ -179,10 +179,10 @@
    infof2read=fstat(unit)
    if infof2read.size NE filesize then begin
-      print, 'According to '+filename+' the file size must be '+strtrim(filesize, 1)+' instead of '+strtrim(infof2read.size, 1)
-      print, 'jpi: '+strtrim(jpi, 2)
-      print, 'jpj: '+strtrim(jpj, 2)
-      print, 'jpt: '+strtrim(jpt, 2)
-      print, 'format size in byte: '+strtrim(fmtsz, 2)
-      print, 'number of xy arrays: '+strtrim(nxybloc, 2)
+      ras = report('According to '+filename+' the file size must be '+strtrim(filesize, 1)+' instead of '+strtrim(infof2read.size, 1))
+      ras = report( 'jpi: '+strtrim(jpi, 2))
+      ras = report( 'jpj: '+strtrim(jpj, 2))
+      ras = report( 'jpt: '+strtrim(jpt, 2))
+      ras = report( 'format size in byte: '+strtrim(fmtsz, 2))
+      ras = report( 'number of xy arrays: '+strtrim(nxybloc, 2))
       return, -1
    endif
Index: /trunk/SRC/ReadWrite/read_oasis.pro
===================================================================
--- /trunk/SRC/ReadWrite/read_oasis.pro	(revision 235)
+++ /trunk/SRC/ReadWrite/read_oasis.pro	(revision 236)
@@ -45,5 +45,5 @@
     , error=err
    if err ne 0 then begin
-      print,!err_string
+      ras = report(!err_string)
       return, -1
    endif
@@ -57,5 +57,5 @@
       readu, unit
       if EOF(unit) then begin
-         print, varname+' not found in '+filename
+         ras = report(varname+' not found in '+filename)
          return, -1
       endif
Index: /trunk/SRC/ReadWrite/readbat.pro
===================================================================
--- /trunk/SRC/ReadWrite/readbat.pro	(revision 235)
+++ /trunk/SRC/ReadWrite/readbat.pro	(revision 236)
@@ -32,5 +32,5 @@
    iname_file = findfile(filename)
    if iname_file[0] EQ '' then begin
-      print, 'Bad file name'
+      ras = report( 'Bad file name')
       return, -1
    ENDIF ELSE iname_file = iname_file[0]
Index: /trunk/SRC/ReadWrite/readoldopadistcoast.pro
===================================================================
--- /trunk/SRC/ReadWrite/readoldopadistcoast.pro	(revision 235)
+++ /trunk/SRC/ReadWrite/readoldopadistcoast.pro	(revision 236)
@@ -80,5 +80,5 @@
    iname_file = findfile(filename)
    if iname_file[0] EQ '' then begin
-      print, 'Bad file name'
+      ras = report( 'Bad file name')
       return, -1
    ENDIF ELSE iname_file = iname_file[0]
@@ -103,7 +103,7 @@
    size = numrec*reclen-toomuch
    if size NE filepamameters.size then begin
-      print, 'The size of the file is not the expected one!'
-      print, 'Check your file or the values of ibloc, jpiglo,'
-      print, 'jpjglo, jpk, jpbyt, numrec in this program'
+      ras = report( 'The size of the file is not the expected one!')
+      ras = report( 'Check your file or the values of ibloc, jpiglo,')
+      ras = report( 'jpjglo, jpk, jpbyt, numrec in this program')
       return, -1
    endif
@@ -116,13 +116,13 @@
    readu, numcost, iimlu, ijmlu, ikmlu
    if iimlu NE jpiglo then begin
-      print, 'iimlu = '+strtrim(iimlu, 1)+' differs from jpiglo ='+strtrim(jpiglo, 1)
+      ras = report( 'iimlu = '+strtrim(iimlu, 1)+' differs from jpiglo ='+strtrim(jpiglo, 1))
       return, -1
    endif
    if ijmlu NE jpjglo then begin
-      print, 'ijmlu = '+strtrim(ijmlu, 1)+' differs from jpjglo ='+strtrim(jpjglo, 1)
+      ras = report( 'ijmlu = '+strtrim(ijmlu, 1)+' differs from jpjglo ='+strtrim(jpjglo, 1))
       return, -1
    endif
    if ikmlu NE jpk then begin
-      print, 'ikmlu = '+strtrim(ikmlu, 1)+' differs from jpk ='+strtrim(jpk, 1)
+      ras = report( 'ikmlu = '+strtrim(ikmlu, 1)+' differs from jpk ='+strtrim(jpk, 1))
       return, -1
    endif
Index: /trunk/SRC/ReadWrite/readoldoparestart.pro
===================================================================
--- /trunk/SRC/ReadWrite/readoldoparestart.pro	(revision 235)
+++ /trunk/SRC/ReadWrite/readoldoparestart.pro	(revision 236)
@@ -145,5 +145,5 @@
    iname_file = findfile(filename)
    if iname_file[0] EQ '' then begin
-      print, 'Bad file name'
+      ras = report( 'Bad file name')
       return
    ENDIF ELSE iname_file = iname_file[0]
@@ -165,7 +165,7 @@
    size = numrec*reclen-toomuch
    if size NE filepamameters.size then begin
-      print, 'The size of the file is not the expected one!'
-      print, 'Check your file or the values of ibloc, jpiglo,'
-      print, 'jpjglo, jpk, jpbyt, numrec in this program'
+      ras = report( 'The size of the file is not the expected one!')
+      ras = report( 'Check your file or the values of ibloc, jpiglo,')
+      ras = report( 'jpjglo, jpk, jpbyt, numrec in this program')
       return
    endif
Index: /trunk/SRC/ReadWrite/scanctl.pro
===================================================================
--- /trunk/SRC/ReadWrite/scanctl.pro	(revision 235)
+++ /trunk/SRC/ReadWrite/scanctl.pro	(revision 236)
@@ -54,5 +54,5 @@
    spawn, '\grep -i "^DTYPE" '+filename, notgood
    if keyword_set(notgood) then begin
-      print, 'This program is not adapted to data type station or grib. Sorry...'
+      ras = report( 'This program is not adapted to data type station or grib. Sorry...')
       stop
    endif
Index: /trunk/SRC/ReadWrite/scanoasis.pro
===================================================================
--- /trunk/SRC/ReadWrite/scanoasis.pro	(revision 235)
+++ /trunk/SRC/ReadWrite/scanoasis.pro	(revision 236)
@@ -28,5 +28,5 @@
     , error=err
    if err ne 0 then begin
-      print,!err_string
+      ras = report(!err_string)
       return
    endif
@@ -35,5 +35,5 @@
    WHILE NOT EOF(unit) DO BEGIN
       readu, unit, char8
-      print,  char8
+      ras = report(char8)
       readu, unit
    ENDWHILE
Index: /trunk/SRC/ReadWrite/write_oasis.pro
===================================================================
--- /trunk/SRC/ReadWrite/write_oasis.pro	(revision 235)
+++ /trunk/SRC/ReadWrite/write_oasis.pro	(revision 236)
@@ -39,5 +39,5 @@
     , error=err, APPEND = append
    if err ne 0 then begin
-      print,!err_string
+      ras = report(!err_string)
       return
    endif
Index: /trunk/SRC/ReadWrite/writebat.pro
===================================================================
--- /trunk/SRC/ReadWrite/writebat.pro	(revision 235)
+++ /trunk/SRC/ReadWrite/writebat.pro	(revision 236)
@@ -26,14 +26,14 @@
 ; basic checks
   IF n_params() NE 2 THEN BEGIN
-    print, 'bad number of arguments in the call of writebat'
+    ras = report( 'bad number of arguments in the call of writebat')
     return
   ENDIF
   IF size(filename, /type) NE 7 THEN BEGIN
-    print, 'the filename should be a string'
+    ras = report( 'the filename should be a string')
     return
   ENDIF
   sbat = size(zbat)
   IF sbat[0] NE 2 THEN BEGIN
-    print, 'bathymetry array should be 2d array'
+    ras = report( 'bathymetry array should be 2d array')
     return
   ENDIF
Index: /trunk/SRC/ToBeReviewed/INIT/initncdf.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/INIT/initncdf.pro	(revision 235)
+++ /trunk/SRC/ToBeReviewed/INIT/initncdf.pro	(revision 236)
@@ -90,5 +90,5 @@
   ncfile = isafile(FILENAME = ncfilein, IODIRECTORY = iodir, _extra = ex)
   if size(ncfile, /type) NE 7 then BEGIN
-    print, 'initncdf cancelled'
+    ras = report( 'initncdf cancelled')
     return
   endif
@@ -139,5 +139,5 @@
     zvarid = (where(namevar EQ 'nav_lev' or namevar EQ zaxisname OR namevar EQ 'level' OR namevar EQ 'lev' OR strmid(namevar, 0, 5) EQ 'depth'))[0]
     if zvarid EQ -1 AND inside.ndims GT 3 then begin
-      print, 'initncdf: the zaxis was not found..., check the the use of ZAXISNAME keyword if you whant to find one...'
+      ras = report( 'initncdf: the zaxis was not found..., check the the use of ZAXISNAME keyword if you whant to find one...')
 ;     stop
     endif
@@ -230,5 +230,5 @@
           tmask = finite(tmask)
           IF min(tmask) EQ 1 THEN BEGIN
-            print, 'missing or nan values not found...'
+            ras = report( 'missing or nan values not found...')
             tmask = -1
           ENDIF
Index: /trunk/SRC/ToBeReviewed/LECTURE/GRIB/read_grib.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/LECTURE/GRIB/read_grib.pro	(revision 235)
+++ /trunk/SRC/ToBeReviewed/LECTURE/GRIB/read_grib.pro	(revision 236)
@@ -41,5 +41,5 @@
   openr, num, gribfile, /GET_LUN, ERROR = err, /SWAP_IF_LITTLE_ENDIAN
   if err ne 0 then begin
-    print, !err_string
+    ras = report(!err_string)
     return, -1
   ENDIF
@@ -64,5 +64,5 @@
   goodvar = where(codes EQ varcode)
   IF goodvar[0] EQ -1 THEN BEGIN
-    print, 'no var code '+strtrim(varcode, 2)+' in the file'
+    ras = report( 'no var code '+strtrim(varcode, 2)+' in the file')
     return, -1
   ENDIF
@@ -73,5 +73,5 @@
   gooddate = where(dates GE date1 AND dates LE date2)
   IF gooddate[0] EQ -1 THEN BEGIN
-    print, 'no dates between '+strtrim(date1, 2)+' and '+strtrim(date2, 2)+' in the file'
+    ras = report( 'no dates between '+strtrim(date1, 2)+' and '+strtrim(date2, 2)+' in the file')
     return, -1
   ENDIF
Index: /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/tvplus.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/tvplus.pro	(revision 235)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/tvplus.pro	(revision 236)
@@ -2,5 +2,5 @@
 ;
 ; @file_comments
-; Enhanced version of tvscl
+; Enhanced version of <proidl>tvscl</proidl>
 ;
 ; @categories
@@ -62,6 +62,6 @@
 ;
 ; @keyword _EXTRA
-; Used to pass keywords to <proidl>TV</proidl>, 
-; <proidl>PLOT</proidl>, 
+; Used to pass keywords to <proidl>TV</proidl>,
+; <proidl>PLOT</proidl>,
 ; <pro>COLORBAR</pro>
 ;