Index: trunk/SRC/Matrix/cmapply.pro
===================================================================
--- trunk/SRC/Matrix/cmapply.pro	(revision 232)
+++ trunk/SRC/Matrix/cmapply.pro	(revision 237)
@@ -6,11 +6,11 @@
 ; @param X
 ;
-;
-; @version $Id$
+; @version 
+; $Id$
 ;
 ; @todo seb
 ;-
 ;
-function cmapply_product, x
+FUNCTION cmapply_product, x
 ;
   compile_opt idl2, strictarrsubs
@@ -29,4 +29,5 @@
 
 ;+
+;
 ; @file_comments
 ; cmapply_redim : Utility function, used to collect collaped dimensions
@@ -34,24 +35,19 @@
 ; @param newarr
 ;
-;
 ; @param dimapply
 ;
-;
 ; @param dimkeep
 ;
-;
 ; @param nkeep
 ;
-;
 ; @param totcol
 ;
-;
 ; @param totkeep
 ;
-;
 ; @todo seb
+;
 ;-
 ;
-pro cmapply_redim, newarr, dimapply, dimkeep, nkeep, totcol, totkeep
+PRO cmapply_redim, newarr, dimapply, dimkeep, nkeep, totcol, totkeep
 ;
   compile_opt idl2, strictarrsubs
@@ -78,5 +74,5 @@
 end
 
-;; Main function
+;Main function
 ;+
 ;
@@ -237,5 +233,6 @@
 ;
 ;-
-function cmapply, op, array, dimapply, double=dbl, type=type, $
+;
+FUNCTION cmapply, op, array, dimapply, double=dbl, type=type, $
                   functargs=functargs, nocatch=nocatch
 ;
Index: trunk/SRC/Matrix/cmset_op.pro
===================================================================
--- trunk/SRC/Matrix/cmset_op.pro	(revision 232)
+++ trunk/SRC/Matrix/cmset_op.pro	(revision 237)
@@ -1,3 +1,4 @@
 ;+
+;
 ; @hidden
 ;
@@ -7,7 +8,8 @@
 ;
 ; @todo seb
+;
 ;-
 ;
-function cmset_op_uniq, a
+FUNCTION cmset_op_uniq, a
 ;
   compile_opt idl2, strictarrsubs
@@ -129,5 +131,6 @@
 ;  SET_UTILS.PRO by RSI
 ;
-; @history Written, CM, 23 Feb 2000
+; @history 
+; Written, CM, 23 Feb 2000
 ;   Added empty set capability, CM, 25 Feb 2000
 ;   Documentation clarification, CM 02 Mar 2000
@@ -160,5 +163,6 @@
 ;   craigm\@lheamail.gsfc.nasa.gov
 ;
-; @version $Id$
+; @version 
+; $Id$
 ;
 ; @examples
@@ -192,7 +196,6 @@
 ;
 ;-
-
-
-function cmset_op, a, op0, b, not1=not1, not2=not2, count=count, $
+;
+FUNCTION cmset_op, a, op0, b, not1=not1, not2=not2, count=count, $
               empty1=empty1, empty2=empty2, maxarray=ma, index=index
 ;
Index: trunk/SRC/Matrix/inter.pro
===================================================================
--- trunk/SRC/Matrix/inter.pro	(revision 232)
+++ trunk/SRC/Matrix/inter.pro	(revision 237)
@@ -7,17 +7,23 @@
 ; Calculation
 ;
-; @param a {in}{required} arrays of positive integers, which need not to be
+; @param a {in}{required} 
+; arrays of positive integers, which need not to be
 ; sorted. Duplicate elements are ignored, as they have no effect on the
 ; result
 ;
-; @param b {in}{required} see a
+; @param b {in}{required} 
+; see a
 ;
-; @returns tableau
+; @returns
+; tableau
 ;
-; @restrictions The empty set is denoted by an array with the first element equal to
+; @restrictions 
+; The empty set is denoted by an array with the first element equal to
 ; -1.
 ;
-; @restrictions These functions will not be efficient on sparse sets with wide
-; ranges, as they trade memory for efficiency. The HISTOGRAM function
+; @restrictions 
+; These functions will not be efficient on sparse sets with wide
+; ranges, as they trade memory for efficiency. 
+; The <proidl>HISTOGRAM</proidl> function
 ; is used, which creates arrays of size equal to the range of the
 ; resulting set.
Index: trunk/SRC/Matrix/union.pro
===================================================================
--- trunk/SRC/Matrix/union.pro	(revision 232)
+++ trunk/SRC/Matrix/union.pro	(revision 237)
@@ -12,5 +12,6 @@
 ;               effect on the result
 ;
-; @param b {in}{required} see a
+; @param b {in}{required} 
+; see a
 ;
 ; @returns
@@ -20,6 +21,8 @@
 ; The empty set is denoted by an array with the first element equal to -1.
 ;
-; @restrictions These functions will not be efficient on sparse sets with wide
-; ranges, as they trade memory for efficiency. The HISTOGRAM function
+; @restrictions 
+; These functions will not be efficient on sparse sets with wide
+; ranges, as they trade memory for efficiency. 
+; The <proidl>HISTOGRAM</proidl> function
 ; is used, which creates arrays of size equal to the range of the
 ; resulting set.
Index: trunk/SRC/Matrix/zero_one.pro
===================================================================
--- trunk/SRC/Matrix/zero_one.pro	(revision 232)
+++ trunk/SRC/Matrix/zero_one.pro	(revision 237)
@@ -1,22 +1,28 @@
 ;+
-; @file_comments 
+; @file_comments
 ; Send back a vector or a matrix constituted of 0 and 1 in alternation
 ;
-; @categories 
+; @categories
 ; Function, Matrix
 ;
-; @param n1 {in}{required} number of elements in the first dimension
-; @param n2 {in}{required} number of elements in the second dimension
+; @param n1 {in}{required}
+; number of elements in the first dimension
 ;
-; @returns result
-; 
-; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
+; @param n2 {in}{required}
+; number of elements in the second dimension
+;
+; @returns
+; result
+;
+; @history
+; Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                       1/12/98
 ;
-; @version $Id$
+; @version
+; $Id$
 ;
 ;-
 ;
-function zero_one, n1,n2
+FUNCTION zero_one, n1,n2
 ;
   compile_opt idl2, strictarrsubs
@@ -24,5 +30,5 @@
    CASE N_PARAMS() OF
       1:return, findgen(n1) mod 2
-      2:BEGIN 
+      2:BEGIN
          if fix(n1/2) EQ n1/2. then BEGIN ;even number of columns
             res = findgen(n1+1,n2) mod 2
@@ -31,4 +37,4 @@
       END
       else: return,  report('bad number of arguments')
-   endcase            
+   endcase
 end