Index: trunk/SRC/ToBeReviewed/PLOTS/DIVERS/checkfield.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DIVERS/checkfield.pro	(revision 237)
+++ trunk/SRC/ToBeReviewed/PLOTS/DIVERS/checkfield.pro	(revision 238)
@@ -79,5 +79,5 @@
   return, report(['Error in "' + type + '" type plot with a 2D input array:' $
                   , 'the array dimensions ' + tostr(sz[1:2]) + ' are incompatible' $
-                  , 'with the the domain dimensions ' $
+                  , 'with the domain dimensions ' $
                   , '[jpi/nx, jpj/ny, jpk/nz, jpt] = [' $
                   + strtrim(jpi, 1) + '/' + strtrim(nx, 1) $
@@ -125,5 +125,5 @@
   return, report(['Error in "' + type + '" type plot with a 3D input array:' $
                   , 'the array dimensions ' + tostr(sz[1:3]) + ' are incompatible' $
-                  , 'with the the domain dimensions ' $
+                  , 'with the domain dimensions ' $
                   , '[jpi/nx, jpj/ny, jpk/nz, jpt] = [' $
                   + strtrim(jpi, 1) + '/' + strtrim(nx, 1) $
Index: trunk/SRC/ToBeReviewed/PLOTS/VECTEUR/velovect.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/VECTEUR/velovect.pro	(revision 237)
+++ trunk/SRC/ToBeReviewed/PLOTS/VECTEUR/velovect.pro	(revision 238)
@@ -15,6 +15,6 @@
 ;
 ; @param V {in}{required}
-; The Y component of the two dimensional field.  Y must have
-; the same dimensions as X.  The vector at point [i,j] has a
+; The Y component of the two dimensional field. Y must have
+; the same dimensions as X. The vector at point [i,j] has a
 ; magnitude of:
 ;
@@ -26,9 +26,9 @@
 ;
 ; @param X {in}{optional}{type=vector}
-; Optional abscissa values.  X must be a vector with a length
+; Optional abscissa values. X must be a vector with a length
 ; equal to the first dimension of U and V.
 ;
 ; @param Y {in}{optional}{type=vector}
-; Optional ordinate values.  Y must be a vector with a length
+; Optional ordinate values. Y must be a vector with a length
 ; equal to the first dimension of U and V.
 ;
@@ -39,16 +39,16 @@
 ; Set this keyword to 1 to place a dot at each missing point.
 ; Set this keyword to 0 or omit it to draw nothing for missing
-; points.  Has effect only if MISSING is specified.
+; points. Has effect only if MISSING is specified.
 ;
 ; @keyword LENGTH {default=1.0}
-; Length factor.  The default of 1.0 makes the longest (U,V)
+; Length factor. The default of 1.0 makes the longest (U,V)
 ; vector the length of a cell.
 ;
 ; @keyword MISSING
-;  Missing data value.  Vectors with a LENGTH greater
+;  Missing data value. Vectors with a LENGTH greater
 ; than MISSING are ignored.
 ;
 ; @keyword OVERPLOT
-; Set this keyword to make VELOVECT "overplot".  That is, the
+; Set this keyword to make VELOVECT "overplot". That is, the
 ; current graphics screen is not erased, no axes are drawn, and
 ; the previously established scaling remains in effect.
@@ -62,5 +62,5 @@
 ;
 ; @restrictions
-; Plotting on the selected device is performed.  System
+; Plotting on the selected device is performed. System
 ; variables concerning plotting are changed.
 ; Note:   All other keywords are passed directly to the PLOT procedure
@@ -73,5 +73,5 @@
 ;	Added TITLE, Oct, 1990.
 ;	Added POSITION, NOERASE, COLOR, Feb 91, RES.
-;	August, 1993.  Vince Patrick, Adv. Visualization Lab, U. of Maryland,
+;	August, 1993. Vince Patrick, Adv. Visualization Lab, U. of Maryland,
 ;		fixed errors in math.
 ;	August, 1993. DMS, Added _EXTRA keyword inheritance.
@@ -82,8 +82,8 @@
 ;			 OPLOT to PLOTS.
 ;       September, 1996, GGS. Changed denominator of x_step and y_step vars.
-;       February, 1998, DLD.  Add support for CLIP and NO_CLIP keywords.
-;       June, 1998, DLD.  Add support for OVERPLOT keyword.
+;       February, 1998, DLD. Add support for CLIP and NO_CLIP keywords.
+;       June, 1998, DLD. Add support for OVERPLOT keyword.
 ;
-; Copyright (c) 1983-1998, Research Systems, Inc.  All rights reserved.
+; Copyright (c) 1983-1998, Research Systems, Inc. All rights reserved.
 ;	Unauthorized reproduction prohibited.
 ;