Index: trunk/SRC/ToBeReviewed/CALCULS/grossemoyenne.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/grossemoyenne.pro	(revision 238)
+++ trunk/SRC/ToBeReviewed/CALCULS/grossemoyenne.pro	(revision 240)
@@ -556,5 +556,5 @@
   if dirt EQ 1 AND keyword_set(spatialfirst) then BEGIN
     IF (reverse(size(res, /dimension)))[0] NE jpt THEN BEGIN
-      print, 'the last dimension of res is not equal to jpt: '+strtrim(jpt, 2)
+      ras = report('the last dimension of res is not equal to jpt: '+strtrim(jpt, 2))
       if keyword_set(savedbox) THEN restoreboxparam, 'boxparam4grmoyenne.dat'
       return, -1
Index: trunk/SRC/ToBeReviewed/GRILLE/domdef.pro
===================================================================
--- trunk/SRC/ToBeReviewed/GRILLE/domdef.pro	(revision 238)
+++ trunk/SRC/ToBeReviewed/GRILLE/domdef.pro	(revision 240)
@@ -248,5 +248,5 @@
       IF (dom[0] EQ -1) THEN BEGIN
         IF keyword_set(findalways) THEN BEGIN
-          print, 'WARNING, empty T points box... we get the neighnors to define a new box...'
+          ras = report('WARNING, empty T points box... we get the neighnors to define a new box...')
           neig1 = neighbor(lon1, lat1, glamt, gphit, sphere = keyword_set(key_onearth) * keyword_set(key_irregular))
           neig2 = neighbor(lon2, lat2, glamt, gphit, sphere = keyword_set(key_onearth) * keyword_set(key_irregular))
@@ -284,10 +284,10 @@
             CASE 1 OF
               (where(gridtype eq 'T'))[0] NE -1 OR (where(gridtype EQ 'W'))[0] NE -1:BEGIN
-                print, 'WARNING, empty U points box... we use the same index as T points...'
+                ras = report('WARNING, empty U points box... we use the same index as T points...')
                 firstxu = firstxt & lastxu = lastxt & nxu = nxt
                 firstyu = firstyt & lastyu = lastyt & nyu = nyt
               END
               ELSE:BEGIN
-                print, 'WARNING, empty U points box... we get the neighnors to define a new box...'
+                ras = report('WARNING, empty U points box... we get the neighnors to define a new box...')
                 neig1 = neighbor(lon1, lat1, glamu, gphiu, sphere = keyword_set(key_onearth) * keyword_set(key_irregular))
                 neig2 = neighbor(lon2, lat2, glamu, gphiu, sphere = keyword_set(key_onearth) * keyword_set(key_irregular))
@@ -327,15 +327,15 @@
             CASE 1 OF
               (where(gridtype eq 'T'))[0] NE -1 OR (where(gridtype EQ 'W'))[0] NE -1:BEGIN
-                print, 'WARNING, empty V points box... we use the same index as T points...'
+                ras = report('WARNING, empty V points box... we use the same index as T points...')
                 firstxv = firstxt & lastxv = lastxt & nxv = nxt
                 firstyv = firstyt & lastyv = lastyt & nyv = nyt
               END
               (where(gridtype eq 'U'))[0] NE -1:BEGIN
-                print, 'WARNING, empty V points box... we use the same index as U points...'
+                ras = report('WARNING, empty V points box... we use the same index as U points...')
                 firstxv = firstxu & lastxv = lastxu & nxv = nxu
                 firstyv = firstyu & lastyv = lastyu & nyv = nyu
               END
               ELSE:BEGIN
-                print, 'WARNING, empty V points box... we get the neighnors to define a new box...'
+                ras = report('WARNING, empty V points box... we get the neighnors to define a new box...')
                 neig1 = neighbor(lon1, lat1, glamv, gphiv, sphere = keyword_set(key_onearth) * keyword_set(key_irregular))
                 neig2 = neighbor(lon2, lat2, glamv, gphiv, sphere = keyword_set(key_onearth) * keyword_set(key_irregular))
@@ -375,20 +375,20 @@
             CASE 1 OF
               (where(gridtype eq 'T'))[0] NE -1 OR (where(gridtype EQ 'W'))[0] NE -1:BEGIN
-                print, 'WARNING, empty F points box... we use the same index as T points...'
+                ras = report('WARNING, empty F points box... we use the same index as T points...')
                 firstxf = firstxt & lastxf = lastxt & nxf = nxt
                 firstyf = firstyt & lastyf = lastyt & nyf = nyt
               END
               (where(gridtype eq 'U'))[0] NE -1:BEGIN
-                print, 'WARNING, empty F points box... we use the same index as U points...'
+                ras = report('WARNING, empty F points box... we use the same index as U points...')
                 firstxf = firstxu & lastxf = lastxu & nxf = nxu
                 firstyf = firstyu & lastyf = lastyu & nyf = nyu
               END
               (where(gridtype eq 'V'))[0] NE -1:BEGIN
-                print, 'WARNING, empty F points box... we use the same index as V points...'
+                ras = report('WARNING, empty F points box... we use the same index as V points...')
                 firstxf = firstxv & lastxf = lastxv & nxf = nxv
                 firstyf = firstyv & lastyf = lastyv & nyf = nyv
               END
               ELSE:BEGIN
-                print, 'WARNING, empty F points box... we get the neighnors to define a new box...'
+                ras = report('WARNING, empty F points box... we get the neighnors to define a new box...')
                 neig1 = neighbor(lon1, lat1, glamf, gphif, sphere = keyword_set(key_onearth) * keyword_set(key_irregular))
                 neig2 = neighbor(lon2, lat2, glamf, gphif, sphere = keyword_set(key_onearth) * keyword_set(key_irregular))
@@ -497,5 +497,5 @@
           IF (dom[0] EQ -1) THEN BEGIN
             IF keyword_set(findalways) THEN BEGIN
-              print, 'WARNING, empty T points box... we get the neighnors to define a new box...'
+              ras = report('WARNING, empty T points box... we get the neighnors to define a new box...')
               neig1 = neighbor(lon1, lat1, glamt[fstx:lstx, *], gphit[fstx:lstx, *], sphere = keyword_set(key_onearth) * keyword_set(key_irregular))
               neig2 = neighbor(lon2, lat2, glamt[fstx:lstx, *], gphit[fstx:lstx, *], sphere = keyword_set(key_onearth) * keyword_set(key_irregular))
@@ -528,9 +528,9 @@
                 CASE 1 OF
                   (where(gridtype eq 'T'))[0] NE -1 OR (where(gridtype EQ 'W'))[0] NE -1:BEGIN
-                    print, 'WARNING, empty U points box... we use the same index as T points...'
+                    ras = report( 'WARNING, empty U points box... we use the same index as T points...')
                     firstyu = firstyt & lastyu = lastyt & nyu = nyt
                   END
                   ELSE:BEGIN
-                    print, 'WARNING, empty U points box... we get the neighnors to define a new box...'
+                    ras = report('WARNING, empty U points box... we get the neighnors to define a new box...')
                     neig1 = neighbor(lon1, lat1, glamu[fstx:lstx, *], gphiu[fstx:lstx, *], sphere = keyword_set(key_onearth) * keyword_set(key_irregular))
                     neig2 = neighbor(lon2, lat2, glamu[fstx:lstx, *], gphiu[fstx:lstx, *], sphere = keyword_set(key_onearth) * keyword_set(key_irregular))
@@ -566,13 +566,13 @@
                 CASE 1 OF
                   (where(gridtype eq 'T'))[0] NE -1 OR (where(gridtype EQ 'W'))[0] NE -1:BEGIN
-                    print, 'WARNING, empty V points box... we use the same index as T points...'
+                    ras = report('WARNING, empty V points box... we use the same index as T points...')
                     firstyv = firstyt & lastyv = lastyt & nyv = nyt
                   END
                   (where(gridtype eq 'U'))[0] NE -1:BEGIN
-                    print, 'WARNING, empty V points box... we use the same index as U points...'
+                    ras = report('WARNING, empty V points box... we use the same index as U points...')
                     firstyv = firstyu & lastyv = lastyu & nyv = nyu
                   END
                   ELSE:BEGIN
-                    print, 'WARNING, empty V points box... we get the neighnors to define a new box...'
+                    ras = report('WARNING, empty V points box... we get the neighnors to define a new box...')
                     neig1 = neighbor(lon1, lat1, glamv[fstx:lstx, *], gphiv[fstx:lstx, *], sphere = keyword_set(key_onearth) * keyword_set(key_irregular))
                     neig2 = neighbor(lon2, lat2, glamv[fstx:lstx, *], gphiv[fstx:lstx, *], sphere = keyword_set(key_onearth) * keyword_set(key_irregular))
@@ -608,17 +608,17 @@
                 CASE 1 OF
                   (where(gridtype eq 'T'))[0] NE -1 OR (where(gridtype EQ 'W'))[0] NE -1:BEGIN
-                    print, 'WARNING, empty F points box... we use the same index as T points...'
+                    ras = report('WARNING, empty F points box... we use the same index as T points...')
                     firstyf = firstyt & lastyf = lastyt & nyf = nyt
                   END
                   (where(gridtype eq 'U'))[0] NE -1:BEGIN
-                    print, 'WARNING, empty F points box... we use the same index as U points...'
+                    ras = report('WARNING, empty F points box... we use the same index as U points...')
                     firstyf = firstyu & lastyf = lastyu & nyf = nyu
                   END
                   (where(gridtype eq 'V'))[0] NE -1:BEGIN
-                    print, 'WARNING, empty F points box... we use the same index as V points...'
+                    ras = report('WARNING, empty F points box... we use the same index as V points...')
                     firstyf = firstyv & lastyf = lastyv & nyf = nyv
                   END
                   ELSE:BEGIN
-                    print, 'WARNING, empty F points box... we get the neighnors to define a new box...'
+                    ras = report('WARNING, empty F points box... we get the neighnors to define a new box...')
                     neig1 = neighbor(lon1, lat1, glamf[fstx:lstx, *], gphif[fstx:lstx, *], sphere = keyword_set(key_onearth) * keyword_set(key_irregular))
                     neig2 = neighbor(lon2, lat2, glamf[fstx:lstx, *], gphif[fstx:lstx, *], sphere = keyword_set(key_onearth) * keyword_set(key_irregular))
@@ -665,5 +665,5 @@
           IF (dom[0] EQ -1) THEN BEGIN
             IF keyword_set(findalways) THEN BEGIN
-              print, 'WARNING, empty T points box... we get the neighnors to define a new box...'
+              ras = report('WARNING, empty T points box... we get the neighnors to define a new box...')
               neig1 = neighbor(lon1, lat1, glamt[*, fsty:lsty], gphit[*, fsty:lsty], sphere = keyword_set(key_onearth) * keyword_set(key_irregular))
               neig2 = neighbor(lon2, lat2, glamt[*, fsty:lsty], gphit[*, fsty:lsty], sphere = keyword_set(key_onearth) * keyword_set(key_irregular))
@@ -696,9 +696,9 @@
                 CASE 1 OF
                   (where(gridtype eq 'T'))[0] NE -1 OR (where(gridtype EQ 'W'))[0] NE -1:BEGIN
-                    print, 'WARNING, empty U points box... we use the same index as T points...'
+                    ras = report('WARNING, empty U points box... we use the same index as T points...')
                     firstxu = firstxt & lastxu = lastxt & nxu = nxt
                   END
                   ELSE:BEGIN
-                    print, 'WARNING, empty U points box... we get the neighnors to define a new box...'
+                    ras = report('WARNING, empty U points box... we get the neighnors to define a new box...')
                     neig1 = neighbor(lon1, lat1, glamu[*, fsty:lsty], gphiu[*, fsty:lsty], sphere = keyword_set(key_onearth) * keyword_set(key_irregular))
                     neig2 = neighbor(lon2, lat2, glamu[*, fsty:lsty], gphiu[*, fsty:lsty], sphere = keyword_set(key_onearth) * keyword_set(key_irregular))
@@ -734,13 +734,13 @@
                 CASE 1 OF
                   (where(gridtype eq 'T'))[0] NE -1 OR (where(gridtype EQ 'W'))[0] NE -1:BEGIN
-                    print, 'WARNING, empty V points box... we use the same index as T points...'
+                    ras = report('WARNING, empty V points box... we use the same index as T points...')
                     firstxv = firstxt & lastxv = lastxt & nxv = nxt
                   END
                   (where(gridtype eq 'U'))[0] NE -1:BEGIN
-                    print, 'WARNING, empty V points box... we use the same index as U points...'
+                    ras = report('WARNING, empty V points box... we use the same index as U points...')
                     firstxv = firstxu & lastxv = lastxu & nxv = nxu
                   END
                   ELSE:BEGIN
-                    print, 'WARNING, empty V points box... we get the neighnors to define a new box...'
+                    ras = report('WARNING, empty V points box... we get the neighnors to define a new box...')
                     neig1 = neighbor(lon1, lat1, glamv[*, fsty:lsty], gphiv[*, fsty:lsty], sphere = keyword_set(key_onearth) * keyword_set(key_irregular))
                     neig2 = neighbor(lon2, lat2, glamv[*, fsty:lsty], gphiv[*, fsty:lsty], sphere = keyword_set(key_onearth) * keyword_set(key_irregular))
@@ -776,17 +776,17 @@
                 CASE 1 OF
                   (where(gridtype eq 'T'))[0] NE -1 OR (where(gridtype EQ 'W'))[0] NE -1:BEGIN
-                    print, 'WARNING, empty F points box... we use the same index as T points...'
+                    ras = report('WARNING, empty F points box... we use the same index as T points...')
                     firstxf = firstxt & lastxf = lastxt & nxf = nxt
                   END
                   (where(gridtype eq 'U'))[0] NE -1:BEGIN
-                    print, 'WARNING, empty F points box... we use the same index as U points...'
+                    ras = report('WARNING, empty F points box... we use the same index as U points...')
                     firstxf = firstxu & lastxf = lastxu & nxf = nxu
                   END
                   (where(gridtype eq 'V'))[0] NE -1:BEGIN
-                    print, 'WARNING, empty F points box... we use the same index as V points...'
+                    ras = report('WARNING, empty F points box... we use the same index as V points...')
                     firstxf = firstxv & lastxf = lastxv & nxf = nxv
                   END
                   ELSE:BEGIN
-                    print, 'WARNING, empty F points box... we get the neighnors to define a new box...'
+                    ras = report('WARNING, empty F points box... we get the neighnors to define a new box...')
                     neig1 = neighbor(lon1, lat1, glamf[*, fsty:lsty], gphif[*, fsty:lsty], sphere = keyword_set(key_onearth) * keyword_set(key_irregular))
                     neig2 = neighbor(lon2, lat2, glamf[*, fsty:lsty], gphif[*, fsty:lsty], sphere = keyword_set(key_onearth) * keyword_set(key_irregular))
Index: trunk/SRC/ToBeReviewed/HOPE/findlineandpointtype.pro
===================================================================
--- trunk/SRC/ToBeReviewed/HOPE/findlineandpointtype.pro	(revision 238)
+++ trunk/SRC/ToBeReviewed/HOPE/findlineandpointtype.pro	(revision 240)
@@ -85,5 +85,5 @@
          if (jpi NE 128 and jpi NE 256) $
           OR (jpj NE 121 AND jpj NE 121*2 AND jpj NE 195 AND jpj NE 195*2) then begin
-            print,  'CASE NOT coded...'
+            ras = report('CASE NOT coded...')
             stop
          ENDIF
@@ -106,5 +106,5 @@
                         END
                         ELSE:BEGIN
-                           print,  'CASE NOT coded...'
+                           ras = report('CASE NOT coded...')
                            stop
                         END
@@ -134,5 +134,5 @@
                         END
                         ELSE:BEGIN
-                           print,  'CASE NOT coded...'
+                           ras = report('CASE NOT coded...')
                            stop
                         END
@@ -151,5 +151,5 @@
                   1.4:vargrid = 'U'
                   ELSE:BEGIN
-                     print,  'CASE NOT coded...'
+                     ras = report('CASE NOT coded...')
                      stop
                   END
@@ -162,5 +162,5 @@
                   2.8:vargrid = 'U'
                   ELSE:BEGIN
-                     print,  'CASE NOT coded...'
+                     ras = report('CASE NOT coded...')
                      stop
                   END
@@ -168,5 +168,5 @@
             END
             ELSE:BEGIN
-               print,  'CASE NOT coded...'
+               ras = report('CASE NOT coded...')
                stop
             END
@@ -175,5 +175,5 @@
       'xz':BEGIN
          if (jpi NE 128 and jpi NE 256) then begin
-            print,  'CASE NOT coded...'
+            ras = report('CASE NOT coded...')
             stop
          ENDIF
@@ -188,5 +188,5 @@
                test = (where(lat EQ yaxis[0]))[0]
                if test EQ -1 then begin
-                  print,  'CASE NOT coded...'
+                  ras = report('CASE NOT coded...')
                   stop
                endif
@@ -206,5 +206,5 @@
                   test = (where(lat EQ yaxis[0]))[0]
                   if test EQ -1 then begin
-                     print,  'CASE NOT coded...'
+                     ras = report('CASE NOT coded...')
                      stop
                   endif
@@ -230,5 +230,5 @@
       'yz':BEGIN
          if (jpj NE 121 AND jpj NE 195) then begin
-            print,  'CASE NOT coded...'
+            ras= report('CASE NOT coded...')
             stop
          ENDIF
@@ -243,5 +243,5 @@
                   (where(lonTodd+xstep EQ xaxis[0]))[0] NE -1:vargrid = 'U'
                   ELSE:BEGIN
-                     print,  'CASE NOT coded...'
+                     ras = report('CASE NOT coded...')
                      stop
                   END
@@ -256,5 +256,5 @@
                   (where(lonTodd-xstep EQ xaxis[0]))[0] NE -1:vargrid = 'T'
                   ELSE:BEGIN
-                     print,  'CASE NOT coded...'
+                     ras = report('CASE NOT coded...')
                      stop
                   END
@@ -269,5 +269,5 @@
                   (where(lonTodd+xstep EQ xaxis[0]))[0] NE -1:vargrid = 'U'
                   ELSE:BEGIN
-                     print,  'CASE NOT coded...'
+                     ras = report('CASE NOT coded...')
                      stop
                   END
@@ -282,5 +282,5 @@
                   (where(lonTodd-xstep EQ xaxis[0]))[0] NE -1:vargrid = 'T'
                   ELSE:BEGIN
-                     print,  'CASE NOT coded...'
+                     ras = report('CASE NOT coded...')
                      stop
                   END
@@ -288,5 +288,5 @@
             END
             ELSE:BEGIN
-               print,  'CASE NOT coded...'
+               ras = report('CASE NOT coded...')
                stop
             END
@@ -295,5 +295,5 @@
       END
       else:BEGIN
-         print, 'case not coded'
+         ras = report('CASE NOT coded...')
          stop
       END
Index: trunk/SRC/ToBeReviewed/LECTURE/ncdf_lec.pro
===================================================================
--- trunk/SRC/ToBeReviewed/LECTURE/ncdf_lec.pro	(revision 238)
+++ trunk/SRC/ToBeReviewed/LECTURE/ncdf_lec.pro	(revision 240)
@@ -65,17 +65,17 @@
    cdfid=ncdf_open(iodir+nom)
 ;------------------------------------------------------------
-; Wht does the file contain??
+; What does the file contain??
 ;------------------------------------------------------------
    wathinside=ncdf_inquire(cdfid)
 ;   print,'in the file, ',iodir+nom,', there are:'
    if keyword_set(dim) then begin
-      print,'nombre de dimensions: ',strtrim(wathinside.ndims,1)
-      print,'numero de la dimension dont la valeur est infini: ',strtrim(wathinside.recdim,1)
+      ras = report(['number of dimensions: ' + strtrim(wathinside.ndims,1), $
+      'number of the dimension which value is infinite : ',strtrim(wathinside.recdim,1)])
    endif
    if keyword_set(var) then $
-    if size(var, /type) NE 7 then print,'nombre de variables  :',strtrim(wathinside.nvars,1)
+    if size(var, /type) NE 7 then ras = report('number of variables  :'+strtrim(wathinside.nvars,1))
    if keyword_set(att) then begin
       if strlowcase(att) ne 'global' then goto,nonglobal
-      print,'nombre de attributs globaux :',strtrim(wathinside.ngatts,1)
+      ras = report('number of global attributes :' + strtrim(wathinside.ngatts,1))
    endif
 ;------------------------------------------------------------
@@ -88,5 +88,5 @@
          name=ncdf_attname(cdfid,attiq,/global) ;attribute's name
          ncdf_attget,cdfid,name,value,/global ;attribute's value
-         print,name,': ',string(value)
+         ras = report(name + ': ' + string(value))
       endfor
    endif
@@ -106,6 +106,6 @@
       tailledim[dimiq]=value
       if keyword_set(dim) then begin
-         print,'dimension numero ',strtrim(dimiq,1),', nom: ',nomdim[dimiq] $
-          ,', valeur: ' ,strtrim(tailledim[dimiq],1)
+         ras = report('dimension number ' + strtrim(dimiq,1) + ', name: ' + $
+               nomdim[dimiq] + ' value: ' + strtrim(tailledim[dimiq],1))
       endif
    endfor
@@ -130,11 +130,14 @@
          if strlowcase(att) eq strlowcase(varcontent.name) or keyword_set(var) $
           then begin
-            print,'variable numero: ',strtrim(varid,1),', nom:',varcontent.name $
-             ,', type:' ,varcontent.datatype,', dimensions:',nomdim[varcontent.dim]
+            ras = report('variable number: ' + strtrim(varid,1) + $
+                  ', name:' + varcontent.name + $
+                  ', type:' + varcontent.datatype + $
+                  ', dimensions:' + nomdim[varcontent.dim])
             if strlowcase(att) eq strlowcase(varcontent.name) then begin
                for attiq=0,varcontent.natts-1 do begin
                   name=ncdf_attname(cdfid,varid,attiq)
                   ncdf_attget,cdfid,varid,name,value
-                  print,'     ',strtrim(attiq),' ',name,': ',strtrim(string(value),1)
+                  ras = report('     ' + strtrim(attiq) + ' ' + $
+                        ' name : ' + strtrim(string(value),1))
                endfor
                goto, sortie
Index: trunk/SRC/ToBeReviewed/LECTURE/read_ncdf.pro
===================================================================
--- trunk/SRC/ToBeReviewed/LECTURE/read_ncdf.pro	(revision 238)
+++ trunk/SRC/ToBeReviewed/LECTURE/read_ncdf.pro	(revision 240)
@@ -486,5 +486,5 @@
         missing_value = strmid(missing_value, 0, strlen(missing_value)-1)
       IF isnumber(string(missing_value), tmp) EQ 1 THEN missing_value = tmp ELSE BEGIN
-        print, 'Warning: missing value is not a number: ', missing_value
+        ras = report('Warning: missing value is not a number: ' + missing_value)
         missing_value = - 1
       ENDELSE
Index: trunk/SRC/ToBeReviewed/PLOTS/DESSINE/bar_plot.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DESSINE/bar_plot.pro	(revision 238)
+++ trunk/SRC/ToBeReviewed/PLOTS/DESSINE/bar_plot.pro	(revision 240)
@@ -141,9 +141,9 @@
 ;
 if (n_params(d) eq 0) then begin  ;Print call & return if no parameters
-  print,'bar_test,values,baselines=baselines,colors=colors,barnames=barnames,$'
-  print,' title=title,xtitle=xtitle,ytitle=ytitle,baserange=baserange, $'
-  print,' barwidth=barwidth,barspace=barspace,baroffset=baroffset, $'
-  print,' outline=outline,overplot=overplot,background=background, $'
-  print,' rotate=rotate'
+  ras = report(['bar_test,values,baselines=baselines,colors=colors,barnames=barnames,$', $
+  ' title=title,xtitle=xtitle,ytitle=ytitle,baserange=baserange, $', $
+  ' barwidth=barwidth,barspace=barspace,baroffset=baroffset, $', $
+  ' outline=outline,overplot=overplot,background=background, $', $
+  ' rotate=rotate'])
   return
 endif
Index: trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltt.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltt.pro	(revision 238)
+++ trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltt.pro	(revision 240)
@@ -277,5 +277,5 @@
 
    IF type EQ 't' AND keyword_set(filter) THEN BEGIN
-      print, '    Applying a running mean filter of width '+string(filter, format = '(I3)')
+      ras = report('    Applying a running mean filter of width '+string(filter, format = '(I3)'))
       z2d = smooth(z2d, filter)
       z2d[0:filter/2-1] = 0.
Index: trunk/SRC/ToBeReviewed/PLOTS/LABEL/label_gmt.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/LABEL/label_gmt.pro	(revision 238)
+++ trunk/SRC/ToBeReviewed/PLOTS/LABEL/label_gmt.pro	(revision 240)
@@ -59,6 +59,6 @@
       max=level_z2d[Ncontour-1]+intervalle
 
-      print, '     Number of contour intervals, plotting min & max ', ncontour, min, max
-      print, ' '
+      ras = report(['     Number of contour intervals, plotting min & max ' + $
+string(ncontour) + string(min)+ string(max),' '])
 
       ; color index
Index: trunk/SRC/ToBeReviewed/POSTSCRIPT/chcolps.pro
===================================================================
--- trunk/SRC/ToBeReviewed/POSTSCRIPT/chcolps.pro	(revision 238)
+++ trunk/SRC/ToBeReviewed/POSTSCRIPT/chcolps.pro	(revision 240)
@@ -162,10 +162,11 @@
                       strput, ligne, color, pos-18
                 ENDIF ELSE BEGIN
-;                      print, 'erreur ligne :', nl
+;                     ras = report('erreur ligne :' + string(nl))
                       dist = abs(r-red)+abs(g-green)+abs(b-blue)
                       ind = (where(dist EQ min(dist)))[0]
                       ind = ind[0]
-;                      print, 'je trouve            ', long([r, g, b])
-;                      print, 'je remplace par ', [red[ind], green[ind], blue[ind]]
+;                      ras = report( $
+;                       ['I found ' + string(long([r, g, b])), $
+;                       'I replace it by ' + string([red[ind], green[ind], blue[ind]])])
                       r1 = red1[ind]/255.
                       g1 = green1[ind]/255.
@@ -191,5 +192,5 @@
           ENDIF 
 ;
-; Ecrit le fichier de sorti
+; Ecrit le fichier de sortie
 ;
           printf, numout, ligne, format = '(A)'
Index: trunk/SRC/ToBeReviewed/POSTSCRIPT/ps.pro
===================================================================
--- trunk/SRC/ToBeReviewed/POSTSCRIPT/ps.pro	(revision 238)
+++ trunk/SRC/ToBeReviewed/POSTSCRIPT/ps.pro	(revision 240)
@@ -23,5 +23,5 @@
 ; We have to close the journal!
 ;------------------------------------------------------------
-   if !journal EQ 0 then print, 'ERROR: The Journal is not open !!'
+   if !journal EQ 0 then ras = report('ERROR: The Journal is not open !!')
 journal
 ;------------------------------------------------------------
Index: trunk/SRC/ToBeReviewed/STRING/delchr.pro
===================================================================
--- trunk/SRC/ToBeReviewed/STRING/delchr.pro	(revision 238)
+++ trunk/SRC/ToBeReviewed/STRING/delchr.pro	(revision 240)
@@ -40,9 +40,9 @@
  
 	if (n_params(0) lt 2) or keyword_set(hlp) then begin
-	  print,' Delete all occurrences of a character from a text string.'
-	  print,' new = delchr(old, char)'
-	  print,'   old = original text string.     in'
-	  print,'   char = character to delete.     in'
-	  print,'   new = resulting string.         out'
+	  ras = report(['Delete all occurrences of a character from a text string.', $
+	  ' new = delchr(old, char)', $
+	  '   old = original text string.     in' , $
+	  '   char = character to delete.     in' , $
+	  '   new = resulting string.         out'])
 	  return, -1
 	endif
Index: trunk/SRC/ToBeReviewed/STRING/getfile.pro
===================================================================
--- trunk/SRC/ToBeReviewed/STRING/getfile.pro	(revision 238)
+++ trunk/SRC/ToBeReviewed/STRING/getfile.pro	(revision 240)
@@ -58,15 +58,16 @@
 
 	if (n_params(0) lt 1) or keyword_set(hlp) then begin
-	  print,' Read a text file into a string array.'
-	  print,' s = getfile(f)'
-	  print,'   f = text file name.      in'
-	  print,'   s = string array.        out'
-	  print,' Keywords:'
-	  print,'   ERROR=err  error flag: 0=ok, 1=file not opened,'
-	  print,'     2=no lines in file.'
-	  print,'   /QUIET means give no error message.'
-	  print,'   LINES=n  Number of lines to read (def=all).'
-	  print,'     Much faster if number of lines is known.'
-	  print,'     Automatic for IDL 5.6 or later.'
+	  ras = report([ $
+          ' Read a text file into a string array.', $
+	  ' s = getfile(f)', $
+	  '   f = text file name.      in', $
+	  '   s = string array.        out', $
+	  ' Keywords:', $
+	  '   ERROR=err  error flag: 0=ok, 1=file not opened,', $
+	  '     2=no lines in file.', $
+	  '   /QUIET means give no error message.', $
+	  '   LINES=n  Number of lines to read (def=all).', $
+	  '     Much faster if number of lines is known.', $
+	  '     Automatic for IDL 5.6 or later.'])
 	  return, -1
 	endif
Index: trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/inserthistory.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/inserthistory.pro	(revision 238)
+++ trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/inserthistory.pro	(revision 240)
@@ -42,10 +42,10 @@
     index1 = where(globalcommand EQ line1) & index1 = index1[0]+1
     if index1  EQ -1 then begin
-       rien = report(line1+' n''est pas trouve ds globalcommand')
+       rien = report(line1+' not found in globalcommand')
        return
     endif
     index2 = where(globalcommand EQ line2) & index2 = index2[0]
     if index2  EQ -1 then begin
-       rien = report(line2+' n''est pas trouve ds globalcommand')
+       rien = report(line2+' not found in globalcommand')
        return
     ENDIF