Index: trunk/SRC/ToBeReviewed/STATISTICS/a_correlate2d.pro
===================================================================
--- trunk/SRC/ToBeReviewed/STATISTICS/a_correlate2d.pro	(revision 241)
+++ trunk/SRC/ToBeReviewed/STATISTICS/a_correlate2d.pro	(revision 242)
@@ -28,6 +28,6 @@
 ;
 ;-
-
-FUNCTION auto_cov2d, X, Lag, Double = Double, zero2nan = zero2nan
+;
+FUNCTION auto_cov2d, X, Lag, DOUBLE = Double, ZERO2NAN = zero2nan
 ;
   compile_opt idl2, strictarrsubs
@@ -95,12 +95,12 @@
    ny = XDim[1]
    if XNDim NE 2 then $
-    MESSAGE, "X array must contain 2 dimensions."
+    ras = report("X array must contain 2 dimensions.")
 ;Check length.
    if nx lt 2 then $
-    MESSAGE, "first dimension of X array must contain 2 or more elements."
+    ras = report("first dimension of X array must contain 2 or more elements.")
    if ny lt 2 then $
-    MESSAGE, "second dimension of X array must contain 2 or more elements."
+    ras = report("second dimension of X array must contain 2 or more elements.")
    if n_elements(Lag) NE 2 THEN $
-    MESSAGE, "Lag array must contain 2 elements."
+    ras = report("Lag array must contain 2 elements.")
    
 ;If the DOUBLE keyword is not set then the internal precision and
Index: trunk/SRC/ToBeReviewed/STATISTICS/a_timecorrelate.pro
===================================================================
--- trunk/SRC/ToBeReviewed/STATISTICS/a_timecorrelate.pro	(revision 241)
+++ trunk/SRC/ToBeReviewed/STATISTICS/a_timecorrelate.pro	(revision 242)
@@ -2,5 +2,4 @@
 ;
 ; @file_comments
-; 
 ;
 ; @categories
@@ -8,15 +7,12 @@
 ;
 ; @param X {in}{required}{type=array}
-; An Array which last dimension is the time dimension so
+; An array which last dimension is the time dimension so
 ; size n.
 ;
 ; @param M
 ;
-;
 ; @param NT
 ;
-;
 ; @keyword ZERO2NAN
-;
 ;
 ; @keyword DOUBLE
@@ -26,7 +22,5 @@
 ; @examples
 ;
-;
 ; @history
-;
 ;
 ; @version
@@ -35,8 +29,8 @@
 ;-
 FUNCTION timeauto_cov, X, M, nT, Double = Double, zero2nan = zero2nan
-;Sample autocovariance function
 ;
   compile_opt idl2, strictarrsubs
 ;
+;Sample autocovariance function
    TimeDim = size(X, /n_dimensions)
    Xmean = TOTAL(X, TimeDim, Double = Double) / nT
@@ -66,4 +60,5 @@
 END
 ;+
+;
 ; @file_comments
 ; Same function as A_CORRELATE but accept array (until 4
@@ -79,10 +74,10 @@
 ;
 ; @param X {in}{required}{type=array}
-; An Array which last dimension is the time dimension so
+; An array which last dimension is the time dimension so
 ; size n.
 ;
 ; @param LAG {in}{required}{type=scalar or vector}
-; A scalar or n-element vector, in the interval [-(n-2), (n-2)],
-; of type integer that specifies the absolute distance(s) between 
+; A scalar or n-elements vector, in the interval [-(n-2),(n-2)],
+; of type integer that specifies the absolute distance(s) between
 ; indexed elements of X.
 ;
@@ -96,13 +91,13 @@
 ;
 ; @examples
-;       Define an n-element sample population.
-;         x = [3.73, 3.67, 3.77, 3.83, 4.67, 5.87, 6.70, 6.97, 6.40, 5.57]
+; Define an n-elements sample population.
+; IDL> x = [3.73, 3.67, 3.77, 3.83, 4.67, 5.87, 6.70, 6.97, 6.40, 5.57]
 ;
-;       Compute the autocorrelation of X for LAG = -3, 0, 1, 3, 4, 8
-;         lag = [-3, 0, 1, 3, 4, 8]
-;         result = a_correlate(x, lag)
+; Compute the autocorrelation of X for LAG = -3, 0, 1, 3, 4, 8
+; IDL> lag = [-3, 0, 1, 3, 4, 8]
+; IDL> result = a_correlate(x, lag)
 ;
-;       The result should be:
-;         [0.0146185, 1.00000, 0.810879, 0.0146185, -0.325279, -0.151684]
+; The result should be:
+; [0.0146185, 1.00000, 0.810879, 0.0146185, -0.325279, -0.151684]
 ;
 ; @history
@@ -118,5 +113,5 @@
 ;
 ;-
-
+;
 FUNCTION a_timecorrelate, X, Lag, COVARIANCE = Covariance, DOUBLE = Double
 ;
@@ -134,6 +129,6 @@
                                 ;Check length.
    if nT lt 2 then $
-    MESSAGE, "Time axis of X array must contain 2 or more elements."
-   
+    ras= report("Time axis of X array must contain 2 or more elements.")
+
 ;If the DOUBLE keyword is not set then the internal precision and
 ;result are identical to the type of input.
@@ -141,5 +136,5 @@
     Double = (SIZE(X, /type) eq 5)
 
-   
+
    if n_elements(lag) EQ 0 then lag = 0
    nLag = N_ELEMENTS(Lag)
@@ -169,5 +164,5 @@
       endcase
    endif else begin             ;Compute Autocovariance.
-      for k = 0, nLag-1 do $ 
+      for k = 0, nLag-1 do $
        case XNDim of
          1:Auto[k] = TimeAuto_Cov(X, ABS(Lag[k]), nT, Double = Double) / nT
Index: trunk/SRC/ToBeReviewed/STATISTICS/c_timecorrelate.pro
===================================================================
--- trunk/SRC/ToBeReviewed/STATISTICS/c_timecorrelate.pro	(revision 241)
+++ trunk/SRC/ToBeReviewed/STATISTICS/c_timecorrelate.pro	(revision 242)
@@ -8,19 +8,13 @@
 ; @param XD
 ;
-;
 ; @param YD
 ;
-;
 ; @param M
 ;
-;
 ; @param NT
 ;
-;
 ; @param NDIM
 ;
-;
 ; @keyword ZERO2NAN
-;
 ;
 ; @keyword DOUBLE
@@ -30,7 +24,5 @@
 ; @examples
 ;
-;
 ; @history
-;
 ;
 ; @version
@@ -38,9 +30,10 @@
 ;
 ;-
+;
 FUNCTION timecross_cov, Xd, Yd, M, nT, Ndim, Double = Double, ZERO2NAN = zero2nan
-  ;Sample cross covariance function.
-
+;
   compile_opt hidden
 ;
+;Sample cross covariance function.
    case Ndim OF
       1:res = TOTAL(Xd[0:nT - M - 1L] * Yd[M:nT - 1L] $
@@ -61,5 +54,7 @@
 
 END
+;
 ;+
+;
 ; @file_comments
 ; This function computes the "time cross correlation" Pxy(L) or
@@ -71,14 +66,14 @@
 ; Statistics
 ;
-; @param X {in}{required}{type=array}
-; An Array which last dimension is the time dimension of
+; @param X {in}{required} {type=array}
+; An array which last dimension is the time dimension of
 ; size n, float or double.
 ;
-; @param Y {in}{required}{type=array}
-; An Array which last dimension is the time dimension of
+; @param Y {in}{required} {type=array}
+; An array which last dimension is the time dimension of
 ; size n, float or double.
 ;
 ; @param LAG {in}{required}{type=scalar or vector}
-; A scalar or n-element vector, in the interval [-(n-2), (n-2)],
+; A scalar or n-elements vector, in the interval [-(n-2),(n-2)],
 ; of type integer that specifies the absolute distance(s) between
 ; indexed elements of X.
@@ -94,14 +89,14 @@
 ; @examples
 ;
-;       Define two n-element sample populations.
-;         x = [3.73, 3.67, 3.77, 3.83, 4.67, 5.87, 6.70, 6.97, 6.40, 5.57]
-;         y = [2.31, 2.76, 3.02, 3.13, 3.72, 3.88, 3.97, 4.39, 4.34, 3.95]
-;
-;       Compute the cross correlation of X and Y for LAG = -5, 0, 1, 5, 6, 7
-;         lag = [-5, 0, 1, 5, 6, 7]
-;         result = c_timecorrelate(x, y, lag)
-;
-;       The result should be:
-;         [-0.428246, 0.914755, 0.674547, -0.405140, -0.403100, -0.339685]
+; Define two n-elements sample populations.
+; IDL> x = [3.73, 3.67, 3.77, 3.83, 4.67, 5.87, 6.70, 6.97, 6.40, 5.57]
+; IDL> y = [2.31, 2.76, 3.02, 3.13, 3.72, 3.88, 3.97, 4.39, 4.34, 3.95]
+;
+; Compute the cross correlation of X and Y for LAG = -5, 0, 1, 5, 6, 7
+; IDL> lag = [-5, 0, 1, 5, 6, 7]
+; IDL> result = c_timecorrelate(x, y, lag)
+;
+; The result should be:
+; [-0.428246, 0.914755, 0.674547, -0.405140, -0.403100, -0.339685]
 ;
 ; @history
@@ -120,5 +115,7 @@
 ;
 ;-
+;
 FUNCTION c_timecorrelate, X, Y, Lag, Covariance = Covariance, Double = Double
+;
 
 ;Compute the sample cross correlation or cross covariance of
@@ -133,9 +130,9 @@
 
    if total(xsize[0:xsize[0]] NE ysize[0:ysize[0]]) NE 0 then $
-    MESSAGE, "X and Y arrays must have the same size and the same dimensions"
+    ras = report("X and Y arrays must have the same size and the same dimensions")
 
 ;Check length.
    if nt lt 2 then $
-    MESSAGE, "Time dimension of X and Y arrays must contain 2 or more elements."
+    ras = report("Time dimension of X and Y arrays must contain 2 or more elements.")
 
 ;If the DOUBLE keyword is not set then the internal precision and
@@ -210,3 +207,2 @@
 
 END
-
Index: trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_bgroup.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_bgroup.pro	(revision 241)
+++ trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_bgroup.pro	(revision 242)
@@ -26,6 +26,7 @@
 ;
 PRO cw_bgroup_setv, id, value
+;
   compile_opt hidden, idl2, strictarrsubs
-
+;
   ON_ERROR, 2                       ;return to caller
 
@@ -350,5 +351,5 @@
 
 
-  IF (N_PARAMS() ne 2) THEN MESSAGE, 'Incorrect number of arguments'
+  IF (N_PARAMS() ne 2) THEN ras = report('Incorrect number of arguments')
 
   ON_ERROR, 2                       ;return to caller
Index: trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_combobox_pm.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_combobox_pm.pro	(revision 241)
+++ trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_combobox_pm.pro	(revision 242)
@@ -1,52 +1,5 @@
-; testwid, value=strtrim(indgen(10),2)
-; PRO testwid_event, event
-; ;   help, event, /STRUCT
-;    ComboboxId = widget_info(event.top,find_by_uname = 'c''est lui')
-;    widget_control, event.id, get_uvalue=uval
-;    if n_elements(uval) EQ 0 then return
-;    case uval of
-;       'done':widget_control, event.top, /destroy
-;       'dynamic_resize':BEGIN
-;          widget_control, event.id, get_value = value
-;          widget_control, ComboboxId, set_value = {dynamic_resize:value}
-;       END
-;       'combobox_select':BEGIN
-;          widget_control, event.id, get_value = value
-;          widget_control, ComboboxId, set_value = {combobox_select:value}
-;       END
-;       'value':BEGIN
-;          widget_control, event.id, get_value = value
-;          widget_control, ComboboxId, set_value = value
-;       END
-;       'get':BEGIN
-;          widget_control, ComboboxId, get_value = value
-;          help,  value, /struct
-;       END
-;       ELSE:
-;    endcase
-;    return
-; end
-; PRO testwid, _extra = ex
-;    base=widget_base(/COLUMN)
-; print, 'base=', base
-;    nothing = widget_label(base, value = 'beginning of the test')
-; ;
-;    nothing = cw_combobox_pm(base, _extra = ex, uname = 'c''est lui', uvalue = 'c''est lui')
-; print, 'cw_combobox_pm ID =', nothing
-; ;
-;    nothing = widget_label(base, value = 'end of the test')
-;    nothing = widget_text(base, value = '0', uvalue = 'dynamic_resize', /editable)
-;    nothing = widget_text(base, value = '10', uvalue = 'combobox_select', /editable)
-;    nothing = widget_text(base, value = '5', uvalue = 'value', /editable)
-;    nothing = widget_button(base, value = 'get', uvalue = 'get')
-;    nothing = widget_button(base, value = 'done', uvalue = 'done')
-;    widget_control, base, /REALIZE
-;    xmanager,'testwid', base
-;    return
-; end
-;+
-;
-; @file_comments
-;
+;+
+;
+; @file_comments
 ;
 ; @categories
@@ -300,5 +253,5 @@
 ;
 
-   IF (N_PARAMS() NE 1) THEN MESSAGE, 'Incorrect number of arguments'
+   IF (N_PARAMS() NE 1) THEN ras = report('Incorrect number of arguments')
    ON_ERROR, 2                  ;return to caller
 ; checking for row and column keywords
Index: trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_droplist_pm.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_droplist_pm.pro	(revision 241)
+++ trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_droplist_pm.pro	(revision 242)
@@ -1,48 +1,2 @@
-; PRO testwid_event, event
-; ;   help, event, /STRUCT
-;    DroplistId = widget_info(event.top,find_by_uname = 'c''est lui')
-;    widget_control, event.id, get_uvalue=uval
-;    if n_elements(uval) EQ 0 then return
-;    case uval of
-;       'done':widget_control, event.top, /destroy
-;       'dynamic_resize':BEGIN
-;          widget_control, event.id, get_value = value
-;          widget_control, DroplistId, set_value = {dynamic_resize:value}
-;       END
-;       'droplist_select':BEGIN
-;          widget_control, event.id, get_value = value
-;          widget_control, DroplistId, set_value = {droplist_select:value}
-;       END
-;       'value':BEGIN
-;          widget_control, event.id, get_value = value
-;          widget_control, DroplistId, set_value = value
-;       END
-;       'get':BEGIN
-;          widget_control, DroplistId, get_value = value
-;          help,  value, /struct
-;       END
-;       ELSE:
-;    endcase
-;    return
-; end
-; PRO testwid, _extra = ex
-;    base=widget_base(/COLUMN)
-; print, 'base=', base
-;    nothing = widget_label(base, value = 'beginning of the test')
-; ;
-;    nothing = cw_droplist_pm(base, _extra = ex, uname = 'c''est lui', uvalue = 'c''est lui')
-; print, 'cw_droplist_pm ID =', nothing
-; ;
-;    nothing = widget_label(base, value = 'end of the test')
-;    nothing = widget_text(base, value = '0', uvalue = 'dynamic_resize', /editable)
-;    nothing = widget_text(base, value = '10', uvalue = 'droplist_select', /editable)
-;    nothing = widget_text(base, value = '5', uvalue = 'value', /editable)
-;    nothing = widget_button(base, value = 'get', uvalue = 'get')
-;    nothing = widget_button(base, value = 'done', uvalue = 'done')
-;    widget_control, base, /REALIZE
-;    xmanager,'testwid', base
-;    return
-; end
-;
 ;+
 ;
@@ -286,5 +240,5 @@
 ;
 
-   IF (N_PARAMS() NE 1) THEN MESSAGE, 'Incorrect number of arguments'
+   IF (N_PARAMS() NE 1) THEN ras = report('Incorrect number of arguments')
    ON_ERROR, 2                  ;return to caller
 ; checking for row and column keywords
Index: trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_slider_pm.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_slider_pm.pro	(revision 241)
+++ trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_slider_pm.pro	(revision 242)
@@ -1,48 +1,2 @@
-; PRO testwid_event, event
-; ;   help, event, /STRUCT
-;    SliderBarId = widget_info(event.top,find_by_uname = 'c''est lui')
-;    widget_control, event.id, get_uvalue=uval
-;    if n_elements(uval) EQ 0 then return
-;    case uval of
-;       'done':widget_control, event.top, /destroy
-;       'slider_min':BEGIN
-;          widget_control, event.id, get_value = value
-;          widget_control, SliderBarId, set_value = {slider_min:value}
-;       END
-;       'slider_max':BEGIN
-;          widget_control, event.id, get_value = value
-;          widget_control, SliderBarId, set_value = {slider_max:value}
-;       END
-;       'slider_value':BEGIN
-;          widget_control, event.id, get_value = value
-;          widget_control, SliderBarId, set_value = value
-;       END
-;       'get':BEGIN
-;          widget_control, SliderBarId, get_value = value
-;          help,  value, /struct
-;          print, value.slider_min_max
-;       END
-;       ELSE:
-;    endcase
-;    return
-; end
-; PRO testwid, _extra = ex
-;    base=widget_base(/COLUMN)
-; print, 'base=', base
-;    nothing = widget_label(base, value = 'beginning of the test')
-; ;
-;    nothing = cw_slider_pm(base, _extra = ex, uname = 'c''est lui', uvalue = 'c''est lui')
-; print, 'cw_slider_pm ID =', nothing
-; ;
-;    nothing = widget_label(base, value = 'end of the test')
-;    nothing = widget_text(base, value = '0', uvalue = 'slider_min', /editable)
-;    nothing = widget_text(base, value = '10', uvalue = 'slider_max', /editable)
-;    nothing = widget_text(base, value = '5', uvalue = 'slider_value', /editable)
-;    nothing = widget_button(base, value = 'get', uvalue = 'get')
-;    nothing = widget_button(base, value = 'done', uvalue = 'done')
-;    widget_control, base, /REALIZE
-;    xmanager,'testwid', base
-;    return
-; end
 ;+
 ;
@@ -389,5 +343,5 @@
 ;
 
-  IF (N_PARAMS() NE 1) THEN MESSAGE, 'Incorrect number of arguments'
+  IF (N_PARAMS() NE 1) THEN ras = report('Incorrect number of arguments')
   ON_ERROR, 2                   ;return to caller
 ;
Index: trunk/SRC/ToBeReviewed/WIDGET/xquestion.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/xquestion.pro	(revision 241)
+++ trunk/SRC/ToBeReviewed/WIDGET/xquestion.pro	(revision 242)
@@ -40,24 +40,23 @@
 ; @file_comments
 ; A small widget who ask a question and give an answer.
-;   WARNING: For a binary question with yes/no answer use
-;   DIALOG_MESSAGE.
+;   WARNING: For a binary question with yes/no, answer use
+;   <proidl>DIALOG_MESSAGE</proidl>.
 ;
 ; @categories
 ; Widget
 ;
-; @param QUESTION
-; A scalar string or a array of string. If this
-; argument is set to :
-;      + an array of strings: each array element is
+; @param QUESTION {type=A scalar string or a array of string}
+; If this argument is set to :
+;      - an array of strings: each array element is
 ;        displayed as a separate line of text.
-;      + a scalar string: we are looking for the "separate line
+;      - a scalar string: we are looking for the "separate line
 ;        character" '!C'
 ;
 ; @param PROPOSEDANSWER {type=string}
-; A string proposing a answer
+; proposing a answer
 ;
 ; @keyword CHKWIDGET
-; Active this keyword if you want that xquestion
-; check if managed widget are present. If not, xquestion do not
+; Active this keyword if you want that <pro>xquestion</pro>
+; check if managed widget are present. If not, <pro>xquestion</pro> do not
 ; open a widget but print the question in the IDL window.
 ;