Index: trunk/SRC/ToBeReviewed/PLOTS/DESSINE/plt.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DESSINE/plt.pro	(revision 244)
+++ trunk/SRC/ToBeReviewed/PLOTS/DESSINE/plt.pro	(revision 246)
@@ -126,4 +126,7 @@
 ; LABEL=0 or is not specified.
 ;
+; @keyword NOFILL
+; To make just isolines with no filling
+;
 ; @keyword NOTRI
 ; To force not to use the triangulation. Beware, in this case, the
@@ -192,5 +195,5 @@
          , STYLE = style, CONTMAX = contmax, CONTMIN = contmin, NLEVEL = nlevel, CONTNLEVEL = contnlevel $
          , VECTEUR = vecteur, MAP = map, MININ = minin, MAXIN = maxin $
-         , CONT_NOFILL = cont_nofill $
+         , NOFILL = nofill, CONT_NOFILL = cont_nofill $
          , USETRI = usetri, NOTRI = notri, MASKFILL = maskfill $
          , DUPLICATE = duplicate, STRICTFILL = strictfill, OVERPLOT = overplot $
@@ -333,6 +336,6 @@
 ; extrapolation of field on lands and setup of min, max values
 ;--------------------------------------------------------------
-  if keyword_set(nan) then begin
-    z2d[where(masknan EQ 0)] = max
+  IF keyword_set(nan) THEN BEGIN
+    IF NOT keyword_set(nofill) THEN z2d[where(masknan EQ 0)] = max
   ENDIF ELSE masknan = 1
 ; filling the mask values
@@ -467,5 +470,5 @@
     , overplot = keyword_set(overplot)+keyword_set(map) $
     , c_linestyle = linestyle, c_labels = 1-(indgen(n_elements(level_z2d)) MOD 2) $
-    , c_thick = thick, cont_nofill = cont_nofill, nan = nan $
+    , c_thick = thick, nofill = nofill, cont_nofill = cont_nofill, nan = nan $
     , coinmontemask = coinmontemask, coindescendmask = coindescendmask $
     , coinmontenan = coinmontenan, coindescendnan = coindescendnan $
Index: trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltbase.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltbase.pro	(revision 244)
+++ trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltbase.pro	(revision 246)
@@ -75,5 +75,5 @@
 ;
 ; @keyword NOFILL
-; To make just isolines.
+; To make just isolines with no filling
 ;
 ; @keyword NOCONTOUR
@@ -253,5 +253,5 @@
 ; We trace points in white at NaN before drawing coasts with a trait.
 ;
-    if keyword_set(trinan) THEN BEGIN
+    if keyword_set(trinan) AND NOT keyword_set(nofill) THEN BEGIN
       IF size(x, /n_dimensions) EQ 1 THEN x = x#replicate(1, (size(masknan))[2])
       IF size(y, /n_dimensions) EQ 1 THEN y = replicate(1, (size(masknan))[1])#y
Index: trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltt.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltt.pro	(revision 244)
+++ trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltt.pro	(revision 246)
@@ -125,4 +125,7 @@
 ; LABEL=0 or is not specified.
 ;
+; @keyword NOFILL
+; To make just isolines with no filling
+;
 ; @keyword CONTNLEVEL {default=20}
 ; When  CONTOUR is activated, it is the number of contours
@@ -189,15 +192,15 @@
 ;-
 ;
-PRO pltt,tab,giventype,givenmin,givenmax,datmin,datmax,BOXZOOM = boxzoom, CONTOUR=contour $
-         ,ENDPOINTS=endpoints,INTERVALLE=intervalle,INV=inv  $
-         ,CONTINTERVALLE=contintervalle,LABEL=label,CONTLABEL=contlabel $
-         ,STYLE=style, CONTMAX=contmax $
-         ,CONTMIN=contmin,NLEVEL=nlevel,CONTNLEVEL=contnlevel $
-         ,COL1D=col1d,STY1D=sty1d, MININ = minin, MAXIN = maxin $
-         ,OV1D=ov1d, FILTER = filter, TREND_TYPE = trend_type $
-         ,REPEAT_C = repeat_c, TYPEIN = typein, XT = XT, YT = YT, ZT = zt $
-         , TT = tt, STRICTFILL = strictfill, OVERPLOT = overplot $
-         , EXCHANGE_XY = exchange_xy $
-         , _EXTRA = ex
+PRO pltt, tab, giventype, givenmin, givenmax, datmin, datmax, BOXZOOM = boxzoom, CONTOUR = contour $
+          , ENDPOINTS = endpoints, INTERVALLE = intervalle, INV = inv  $
+          , CONTINTERVALLE = contintervalle, LABEL = label, CONTLABEL = contlabel $
+          , STYLE = style, CONTMAX = contmax, CONTMIN = contmin $
+          , NOFILL = nofill, NLEVEL = nlevel, CONTNLEVEL = contnlevel $
+          , COL1D = col1d, STY1D = sty1d, MININ = minin, MAXIN = maxin $
+          , OV1D = ov1d, FILTER = filter, TREND_TYPE = trend_type $
+          , REPEAT_C = repeat_c, TYPEIN = typein, XT = XT, YT = YT, ZT = zt $
+          , TT = tt, STRICTFILL = strictfill, OVERPLOT = overplot $
+          , EXCHANGE_XY = exchange_xy $
+          , _EXTRA = ex
 ;
   compile_opt idl2, strictarrsubs
@@ -454,5 +457,5 @@
 ;         yy = replicate(1, nbx)#yy
          masknan = finite(z2d)
-         z2d[where(masknan EQ 0)] = max
+         IF NOT keyword_set(nofill) THEN z2d[where(masknan EQ 0)] = max
          mask = temporary(mask)*temporary(masknan)
       ENDIF
@@ -475,5 +478,5 @@
        , c_linestyle=linestyle,c_labels=1-(indgen(n_elements(level_z2d)) MOD 2) $
        , trichamp = triangulation, trimsk = triangulation, overplot = overplot $
-       , c_thick=thick, performance = key_performance, usetri = usetri $
+       , c_thick=thick, performance = key_performance, nofill = nofill, usetri = usetri $
        , coinmontemask=coinmontemask, coindescendmask=coindescendmask, _extra = ex
 ;------------------------------------------------------------
Index: trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltz.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltz.pro	(revision 244)
+++ trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltz.pro	(revision 246)
@@ -104,4 +104,7 @@
 ; LABEL=0 or is not specified.
 ;
+; @keyword NOFILL
+; To make just isolines with no filling
+;
 ; @keyword NOTRI
 ; To force not to use the triangulation. Beware, in this case, the
@@ -162,5 +165,5 @@
           , STYLE = style, CONTMAX = contmax, SIN = sin, TYPEIN = typein $
           , CONTMIN = contmin, NLEVEL = nlevel, CONTNLEVEL = contnlevel $
-          , NOTRI = notri, USETRI = usetri, FILLXDIR = fillxdir $
+          , NOFILL = nofill, NOTRI = notri, USETRI = usetri, FILLXDIR = fillxdir $
           , ZOOM = zoom, XZ = xz, YZ = yz, MININ = minin, MAXIN = maxin $
           , STRICTFILL = strictfill, OVERPLOT = overplot, MASKFILL = maskfill $
@@ -296,5 +299,5 @@
   if keyword_set(nan) then BEGIN
     masknan = finite(z2d)
-    z2d[where(masknan EQ 0)] = max
+    IF NOT keyword_set(nofill) THEN z2d[where(masknan EQ 0)] = max
   ENDIF ELSE masknan = 1
   IF n_elements(fillxdir) EQ 0  THEN fillxdir = 1
@@ -368,5 +371,5 @@
     , c_linestyle = linestyle $
     , c_labels = 1-(indgen(n_elements(level_z2d)) MOD 2) $
-    , c_thick = thick, unsur2 = unsur2 $
+    , c_thick = thick, unsur2 = unsur2, NOFILL = nofill $
     , maskorg = maskorg, masknan = masknan, trinan = trinan $
     , coinmontenan = coinmontenan, coindescendnan = coindescendnan $