Index: trunk/SRC/ToBeReviewed/PLOTS/DESSINE/.idlwave_catalog
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DESSINE/.idlwave_catalog	(revision 246)
+++ trunk/SRC/ToBeReviewed/PLOTS/DESSINE/.idlwave_catalog	(revision 249)
@@ -7,11 +7,11 @@
 (setq idlwave-library-catalog-routines
  '(("bar_plot" pro nil (lib "bar_plot.pro" nil "saxo") "%s, values" (nil ("_EXTRA") ("background") ("barnames") ("baroffset") ("barspace") ("barwidth") ("baselines") ("baserange") ("colors") ("outline") ("overplot") ("rotate") ("title") ("xtitle") ("ytitle")))
-   ("plt" pro nil (lib "plt.pro" nil "saxo") "%s, tab1, param2, param3, param4" (nil ("_EXTRA") ("BOXZOOM") ("CONT_NOFILL") ("CONTINTERVALLE") ("CONTLABEL") ("CONTMAX") ("CONTMIN") ("CONTNLEVEL") ("CONTOUR") ("DECIMATETRI") ("DUPLICATE") ("GRIDTYPE") ("INTERVALLE") ("INV") ("LABEL") ("LABMAP") ("MAP") ("MASKFILL") ("MAXIN") ("MININ") ("NLEVEL") ("NOTRI") ("OVERPLOT") ("REALCONT") ("STRICTFILL") ("STYLE") ("USETRI") ("VECTEUR")))
+   ("plt" pro nil (lib "plt.pro" nil "saxo") "%s, tab1, param2, param3, param4" (nil ("_EXTRA") ("BOXZOOM") ("CONT_NOFILL") ("CONTINTERVALLE") ("CONTLABEL") ("CONTMAX") ("CONTMIN") ("CONTNLEVEL") ("CONTOUR") ("DECIMATETRI") ("DUPLICATE") ("GRIDTYPE") ("INTERVALLE") ("INV") ("LABEL") ("LABMAP") ("MAP") ("MASKFILL") ("MAXIN") ("MININ") ("NLEVEL") ("NOFILL") ("NOTRI") ("OVERPLOT") ("REALCONT") ("STRICTFILL") ("STYLE") ("USETRI") ("VECTEUR")))
    ("plt1d" pro nil (lib "plt1d.pro" nil "saxo") "%s, tab, param2, param3, param4" (nil ("_EXTRA") ("BOXZOOM") ("COL1D") ("ENDPOINTS") ("MAXIN") ("MININ") ("OV1D") ("REVERSE_X") ("REVERSE_Y") ("SIN") ("STY1D") ("SWITCHXY") ("TT") ("TYPEIN") ("X") ("Y") ("Z")))
    ("pltbase" pro nil (lib "pltbase.pro" nil "saxo") "%s, z2d, x, y, mask, xm, ym, levels, colors" (nil ("_EXTRA") ("COINDESCENDMASK") ("COINDESCENDNAN") ("COINMONTEMASK") ("COINMONTENAN") ("COLOR_C") ("COLORPOINTS") ("COLORTRICHAMP") ("COLORTRIMASK") ("COLORTRINAN") ("CONT_COLOR") ("CONT_NOFILL") ("CONTOUR") ("DESSTRICHAMP") ("DESSTRIMASK") ("DESSTRINAN") ("DRAWPOINTS") ("EXCHANGE_XY") ("FORPLT") ("I_COLORS") ("INDICEZOOMMASK") ("INDICEZOOMNAN") ("MASKNAN") ("MASKORG") ("MORE") ("NAN") ("NOCONTOUR") ("NOFILL") ("REALCONT") ("REALSECTION") ("TH_TRICHAMP") ("TH_TRIMASK") ("TRICHAMP") ("TRIMSK") ("TRINAN") ("UNLABSUR") ("UNSUR2") ("usetri")))
    ("pltsc" pro nil (lib "pltsc.pro" nil "saxo") "%s, tab1, tab2, min1, max1, min2, max2, varname2" (nil ("_EXTRA") ("BOXZOOM") ("COL1D") ("OV1D") ("STY1D")))
-   ("pltt" pro nil (lib "pltt.pro" nil "saxo") "%s, tab, giventype, givenmin, givenmax, datmin, datmax" (nil ("_EXTRA") ("BOXZOOM") ("COL1D") ("CONTINTERVALLE") ("CONTLABEL") ("CONTMAX") ("CONTMIN") ("CONTNLEVEL") ("CONTOUR") ("ENDPOINTS") ("EXCHANGE_XY") ("FILTER") ("INTERVALLE") ("INV") ("LABEL") ("MAXIN") ("MININ") ("NLEVEL") ("OV1D") ("OVERPLOT") ("REPEAT_C") ("STRICTFILL") ("STY1D") ("STYLE") ("TREND_TYPE") ("TT") ("TYPEIN") ("XT") ("YT") ("ZT")))
+   ("pltt" pro nil (lib "pltt.pro" nil "saxo") "%s, tab, giventype, givenmin, givenmax, datmin, datmax" (nil ("_EXTRA") ("BOXZOOM") ("COL1D") ("CONTINTERVALLE") ("CONTLABEL") ("CONTMAX") ("CONTMIN") ("CONTNLEVEL") ("CONTOUR") ("ENDPOINTS") ("EXCHANGE_XY") ("FILTER") ("INTERVALLE") ("INV") ("LABEL") ("MAXIN") ("MININ") ("NLEVEL") ("NOFILL") ("OV1D") ("OVERPLOT") ("REPEAT_C") ("STRICTFILL") ("STY1D") ("STYLE") ("TREND_TYPE") ("TT") ("TYPEIN") ("XT") ("YT") ("ZT")))
    ("pltv" pro nil (lib "pltv.pro" nil "saxo") "%s, data, min, max" (nil ("_EXTRA") ("BOTTOM") ("BOXZOOM") ("C_MASK") ("C_NAN") ("MASKVAL") ("MAXIN") ("MININ") ("NCOLORS") ("NOINTERP")))
-   ("pltz" pro nil (lib "pltz.pro" nil "saxo") "%s, tab, giventype, givenmin, givenmax" (nil ("_EXTRA") ("BOXZOOM") ("CONTINTERVALLE") ("CONTLABEL") ("CONTMAX") ("CONTMIN") ("CONTNLEVEL") ("CONTOUR") ("ENDPOINTS") ("FILLXDIR") ("INTERVALLE") ("INV") ("LABEL") ("MASKFILL") ("MAXIN") ("MININ") ("NLEVEL") ("NOTRI") ("OVERPLOT") ("REALSECTION") ("SIN") ("STRICTFILL") ("STYLE") ("TYPEIN") ("USETRI") ("WDEPTH") ("XZ") ("YZ") ("ZOOM") ("ZRATIO")))
+   ("pltz" pro nil (lib "pltz.pro" nil "saxo") "%s, tab, giventype, givenmin, givenmax" (nil ("_EXTRA") ("BOXZOOM") ("CONTINTERVALLE") ("CONTLABEL") ("CONTMAX") ("CONTMIN") ("CONTNLEVEL") ("CONTOUR") ("ENDPOINTS") ("FILLXDIR") ("INTERVALLE") ("INV") ("LABEL") ("MASKFILL") ("MAXIN") ("MININ") ("NLEVEL") ("NOFILL") ("NOTRI") ("OVERPLOT") ("REALSECTION") ("SIN") ("STRICTFILL") ("STYLE") ("TYPEIN") ("USETRI") ("WDEPTH") ("XZ") ("YZ") ("ZOOM") ("ZRATIO")))
    ("sbar_plot" pro nil (lib "sbar_plot.pro" nil "saxo") "%s, Values" (nil ("_EXTRA") ("COLORS") ("NOREINITPLT")))
    ("scontour" pro nil (lib "scontour.pro" nil "saxo") "%s, x, y, z" (nil ("_EXTRA") ("NOREINITPLT")))