Index: trunk/SRC/ToBeReviewed/PLOTS/DESSINE/plt.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DESSINE/plt.pro	(revision 250)
+++ trunk/SRC/ToBeReviewed/PLOTS/DESSINE/plt.pro	(revision 251)
@@ -239,5 +239,5 @@
   checktypeminmax, 'plt', TYPE = type, MIN = min, MAX = max, _extra = ex
   z2d = checkfield(tab1, 'plt', TYPE = type, BOXZOOM = boxzoom, DIREC = direc, VECTEUR = vecteur, _extra = ex)
-  if z2d[0] EQ -1 then BEGIN
+  if n_elements(z2d) EQ 1 AND z2d[0] EQ -1 then BEGIN
     IF keyword_set(savedbox) THEN restoreboxparam, 'boxparam4plt.dat'
     return
@@ -293,5 +293,5 @@
   determineminmax, z2d, mask, mi, ma, glam, gphi, MININ = min, MAXIN = max $
     , nan = nan, INTERVALLE = intervalle, usetri = usetri, _extra = ex
-  if z2d[0] EQ -1 THEN GOTO, sortie
+  if n_elements(z2d) EQ 1 AND z2d[0] EQ -1 THEN GOTO, sortie
 ; We do an autoscale if needed.
   if autoscale then autoscale, min, max, intervalle
Index: trunk/SRC/ToBeReviewed/PLOTS/DESSINE/plt1d.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DESSINE/plt1d.pro	(revision 250)
+++ trunk/SRC/ToBeReviewed/PLOTS/DESSINE/plt1d.pro	(revision 251)
@@ -179,5 +179,5 @@
     grille, mask, glam, gphi, gdep, nx, ny, nz, type = type
   ENDELSE
-  if z1d[0] EQ -1 then BEGIN
+  if n_elements(z2d) EQ 1 AND z1d[0] EQ -1 then BEGIN
     IF keyword_set(savedbox) THEN restoreboxparam, 'boxparam4plt1d.dat'
     return
@@ -199,5 +199,5 @@
   nan = total(finite(z1d, /nan)) < 1
   determineminmax, z1d, mask, mi, ma, MININ = min, MAXIN = max, nan = nan, INTERVALLE = intervalle, _extra = ex
-  if z1d[0] EQ -1 THEN return
+  if n_elements(z2d) EQ 1 AND z1d[0] EQ -1 THEN return
 ;-----------------------------------------------------------------------------
 ;-----------------------------------------------------------------------------
Index: trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltt.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltt.pro	(revision 250)
+++ trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltt.pro	(revision 251)
@@ -261,5 +261,5 @@
       z2d = checkfield(tab, 'pltt', TYPE = type, BOXZOOM = boxzoom $
                        , direc = direc, _extra = ex)
-      if z2d[0] EQ -1 then BEGIN
+      if n_elements(z2d) EQ 1 AND z2d[0] EQ -1 then BEGIN
         IF keyword_set(savedbox) THEN restoreboxparam, 'boxparam4pltt.dat'
         return
@@ -347,5 +347,5 @@
    autoscale = testvar(var = min) EQ testvar(var = max) AND NOT keyword_set(intervalle)
    determineminmax, z2d, mask, mi, ma, MININ = min, MAXIN = max, nan = nan, INTERVALLE = intervalle, _extra = ex
-   if z2d[0] EQ -1 THEN return
+   if n_elements(z2d) EQ 1 AND z2d[0] EQ -1 THEN return
 ; We do an autoscale if needed.
    if autoscale then autoscale, min, max, intervalle
Index: trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltv.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltv.pro	(revision 250)
+++ trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltv.pro	(revision 251)
@@ -90,5 +90,5 @@
     ENDIF
     z2d = checkfield(temporary(z2d), 'plt', TYPE = 'xy', direc = direc, BOXZOOM = boxzoom)
-    if z2d[0] EQ -1 then BEGIN
+    if n_elements(z2d) EQ 1 AND z2d[0] EQ -1 then BEGIN
       IF keyword_set(savedbox) THEN restoreboxparam, 'boxparam4pltv.dat'
       return
Index: trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltz.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltz.pro	(revision 250)
+++ trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltz.pro	(revision 251)
@@ -219,5 +219,5 @@
     section, tab, z2d, glam, gphi, ENDPOINTS = endpoints, TYPE = type $
     , BOXZOOM = boxzoom, DIREC = direc, WDEPTH = wdepth, _extra = ex
-    if z2d[0] EQ -1 AND n_elements(contour) ne 4 then BEGIN
+    if n_elements(z2d) EQ 1 AND z2d[0] EQ -1 AND n_elements(contour) ne 4 then BEGIN
       restoreboxparam, 'boxparam4pltz.dat'
       return
@@ -236,5 +236,5 @@
     z2d = checkfield(tab, 'pltz', TYPE = type, BOXZOOM = boxzoom $
                      , DIREC = direc, WDEPTH = wdepth, _extra = ex)
-    if z2d[0] EQ -1 AND n_elements(contour) ne 4 then BEGIN
+    if n_elements(z2d) EQ 1 AND z2d[0] EQ -1 AND n_elements(contour) ne 4 then BEGIN
       restoreboxparam, 'boxparam4pltz.dat'
       return
@@ -263,5 +263,5 @@
   autoscale = testvar(var = min) EQ testvar(var = max) AND NOT keyword_set(intervalle)
   determineminmax, z2d, mask, mi, ma, MININ = min, MAXIN = max, nan = nan, INTERVALLE = intervalle, _extra = ex
-  if z2d[0] EQ -1 THEN GOTO, sortie
+  if n_elements(z2d) EQ 1 AND z2d[0] EQ -1 THEN GOTO, sortie
 ; We do an autoscale if needed.
   if autoscale then autoscale, min, max, intervalle